<!doctype html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    
    <link rel="stylesheet" href="style.css">
    
    <title>Hello, world!</title>
</head>
<body>
    
    <div class="modal-custom">
        <div class="modal-custom-content">
            
        </div>
    </div>
    
    <div class="container my-5 py-3">
        <div class="row">
            <div class="col-12 col-md-6">
                <p class="h2">Dati aggiornati al: <span id="data"></span> </p>
            </div>
            <div class="col-12 col-md-6 text-center  text-md-right my-2">
                <button id="pieTrigger" class="btn btn-circle"><i class="fas fa-chart-pie text-main"></i></button>
                <button id="mapTrigger" class="btn btn-circle ml-5"><i class="fas fa-globe-europe text-main"></i></button>
            </div>
        </div>
    </div>
    
    <div class="container  py-3">
        <div class="row">
            
            <div class="col-12 col-md-3 mb-3">
                <div data-trend="totale_casi" class="card-custom d-flex flex-column h-100">
                    <p class="h4 mb-5 text">Casi totali</p>
                    <p id="totalCases" class="h2 mb-0 text-right text-main mt-auto"></p>
                </div>
            </div>
            
            <div class="col-12 col-md-3 mb-3">
                <div data-trend="dimessi_guariti"class="card-custom d-flex flex-column h-100">
                    <p class="h4 mb-5">Guariti totali</p>
                    <p id="totalRecovered" class="h2 mb-0 text-right text-main mt-auto"></p>
                </div>
            </div>
            
            <div data-trend="deceduti" class="col-12 col-md-3 mb-3">
                <div class="card-custom d-flex flex-column ">
                    <p class="h4 mb-5">Morti totali</p>
                    <p id="totalDeath" class="h2 mb-0 text-right text-main mt-auto"></p>
                </div>
            </div>
            
            <div data-trend="totale_positivi" class="col-12 col-md-3 mb-3">
                <div class="card-custom d-flex flex-column h-100">
                    <p class="h4 mb-5"> Positivi</p>
                    <p id="totalPositive" class="h2 mb-0 text-right text-main mt-auto"></p>
                </div>
            </div>
            
            
        </div>
    </div>
    
    <div class="container">
        <div class="row">
            <div class="col-12 col-lg-6 row-scrollable">
                <div id="cardWrapper" class="row p-3">
                    
                    
                    
                </div>
            </div>
            
            
            <div class="col-12 col-lg-6 row-scrollable">
                
                <div id="progressWrapper" class="row p-3">
                    
                </div>
                
            </div>
        </div>
    </div>

    
    
    
    
    <script src="script.js"></script>
    <script src="https://kit.fontawesome.com/1740cd412e.js" crossorigin="anonymous"></script>
    <script>
        
        
        fetch('https://raw.githubusercontent.com/pcm-dpc/COVID-19/master/dati-json/dpc-covid19-ita-regioni.json')
        .then(response => response.json())
        .then(dati => { 
            
            
            let look = {
                "Abruzzo": "AB",
                "Basilicata": "BA",
                "Calabria": "CL",
                "Campania": "CA",
                "Emilia-Romagna": "EM",
                "Friuli Venezia Giulia": "FR",
                "Lazio": "LA",
                "Liguria": "LI",
                "Lombardia": "LO",
                "Marche": "MA",
                "Molise": "MO",
                "P.A. Bolzano": "PB",
                "P.A. Trento": "PT",
                "Piemonte": "PI",
                "Puglia": "PU",
                "Sardegna": "SA",
                "Sicilia": "SI",
                "Toscana": "TO",
                "Umbria": "UM",
                "Valle d'Aosta": "VA",
                "Veneto": "VE",
            }
            
            
            //modali
            let modal = document.querySelector('.modal-custom')
            let modalContent = document.querySelector('.modal-custom-content')
            
            //voglio le date in ordine opposto
            let sorted = dati.reverse().map(el => {
                el.code = look[el.denominazione_regione]
                return el
                
            })
            
            console.log(sorted[0])
            //dai dati prendo solo l'ultima  data caricata
            let lastUpdated = sorted[0].data
            //ora abbiamo= dataTora, quindi splittiamo per T cosi che ci divide la data dall'ora e ci prendiamo solo la data che è la prima quiindi in posizione 0.
            //splittiamo l'elemento per il trattino, facciamo il reverse perchè vogliamo     g/m/a e al posto del trattino li joiniamo con "/"
            let lastUpdatedFormatted = lastUpdated.split("T")[0].split("-").reverse().join("/")
            
            document.querySelector("#data").innerHTML = lastUpdatedFormatted
            
            //da sorted filtrami tutti gli elementi che hanno come data la più recente, e ordiniamoli pernuovi positivi
            let lastUpdatedData = sorted.filter(el => el.data == lastUpdated).sort( (a,b)=> b.nuovi_positivi-a.nuovi_positivi)
            // ora che ho questi dati posso fare la somma di tutti i positivi delle 21 regioni
            let totalCases = lastUpdatedData.map(el => el.totale_casi).reduce((t,n)=> t+n)
            document.querySelector("#totalCases").innerHTML = totalCases
            
            
            let totalRecovered = lastUpdatedData.map(el => el.dimessi_guariti).reduce((t,n)=> t+n)
            document.querySelector("#totalRecovered").innerHTML = totalRecovered
            
            let totalDeath = lastUpdatedData.map(el => el.deceduti).reduce((t,n)=> t+n)
            document.querySelector("#totalDeath").innerHTML = totalDeath
            
            let totalPositive = lastUpdatedData.map(el => el.totale_positivi).reduce((t,n)=> t+n)
            document.querySelector("#totalPositive").innerHTML = totalPositive
            
            
            let days = Array.from(new Set(sorted.map(el=> el.data))).reverse()
            
            document.querySelectorAll('[data-trend').forEach(el => {
                el.addEventListener('click', ()=>{
                    let set = el.dataset.trend
                    console.log(set)
                    
                    let totalsPerDays = days.map(el=> [el, sorted.filter(i => i.data == el).map(e => e[set]).reduce((t,n)=> t+n)]) 
                    let maxData = Math.max(... totalsPerDays.map(el => el[1]))
                    
                    console.log(totalsPerDays)
                    modal.classList.add('active')
                    modalContent.innerHTML =
                    `
                    <div class="container my-5 py-5">
                        <div class="row">
                            <div class="col-12">
                                <p class="h3 text-main">${set.replace(/_/g," ").toUpperCase()}</p>
                            </div>
                            <div class="col-12">
                                <div id="totalTrend" class="d-flex align-items-end plot"></div>
                            </div>
                        </div>
                    </div>
                    `
                    
                    let totalTrend = document.querySelector('#totalTrend')
                    
                    totalsPerDays.forEach(el => {
                        
                        let col = document.createElement('div')
                        col.classList.add('d-inline-block', 'pin-new')
                        col.style.height = `${70* el[1]/ maxData}%`
                        totalTrend.appendChild(col)
                        
                        
                        
                    })
                })
                
                
            })
            
            
            
            let cardWrapper = document.querySelector('#cardWrapper')
            let progressWrapper = document.querySelector('#progressWrapper')
            
            let todayMax = Math.max(...lastUpdatedData.map(el =>el.nuovi_positivi))
            
            
            
            lastUpdatedData.forEach(el => {
                
                let div = document.createElement('div')
                div.classList.add('col-12', 'col-md-6', 'my-4')
                div.innerHTML =
                // per gli apici alt+96
                `
                <div class="card-custom p-3 pb-0 h-100" data-region="${el.denominazione_regione}">
                    <p>${el.denominazione_regione}</p>
                    <p class="text-right h5 mb-0 text-main">${el.nuovi_positivi}</p>
                </div>
                `
                cardWrapper.appendChild(div)
                
                let bar = document.createElement('div')
                bar.classList.add('col-12', 'mb-5')
                bar.innerHTML = 
                `
                <p class="mb-0">${el.denominazione_regione}: ${el.nuovi_positivi}</p>
                <div class="progress rounded-0">
                    <div class="progress-bar bg-main" style="width: ${100 * el.nuovi_positivi/todayMax}%;"> </div>
                </div>
                `
                progressWrapper.appendChild(bar)
            })
            
            
            
            
            document.querySelectorAll('[data-region').forEach(el=>{
                el.addEventListener('click', ()=>{
                    
                    let region = el.dataset.region
                    
                    modal.classList.add('active')
                    
                    let dataAboutRegion = lastUpdatedData.filter(el=> el.denominazione_regione == region)[0]
                    
                    modalContent.innerHTML =
                    `
                    
                    <div class="container container-scrollable">
                        <div class="row">
                            <div class="col-12">
                                <p class="h2 text-main">${dataAboutRegion.denominazione_regione}</p>
                            </div>
                            <div class="col-12 ">
                                <p class="lead font-weight-bold">Totale casi: ${dataAboutRegion.totale_casi}</p>
                                <p class="lead font-weight-bold">NuoviPositivi: ${dataAboutRegion.nuovi_positivi}</p>
                                <p class="lead font-weight-bold">Deceduti: ${dataAboutRegion.deceduti}</p>
                                <p class="lead font-weight-bold">Guariti: ${dataAboutRegion.dimessi_guariti}</p>
                                <p class="lead font-weight-bold">Ricoverati con sintomi: ${dataAboutRegion.ricoverati_con_sintomi}</p>
                            </div>
                        </div>
                        <div class="row ">
                            <div class="col-12">
                                <p class="mb-0 mt-5 text-main">Trend Nuovi casi</p>
                                <div id="trendNew" style="height: 300px;"class="d-flex align-items-end plot"></div>
                            </div>
                            <div class="col-12"><div class="col-12">
                                <p class="mb-0 mt-5 text-main">Trend Nuovi decessi</p>
                                <div id="trendDeath" style="height: 300px;" class="d-flex align-items-end plot"></div>
                            </div></div>
                            <div class="col-12">
                                <div class="col-12">
                                    <p class="mb-0 mt-5 text-main">Trend Nuovi guariti</p>
                                    <div id="trendRecovered" style="height: 300px;" class="d-flex align-items-end plot"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    `
                   
                   
                   
                   
                   
                   
                    let trendData = sorted.map(el=> el).reverse().filter(el=> el.denominazione_regione == region).map(el =>[el.data,el.nuovi_positivi,el.deceduti,el.dimessi_guariti])
                    
                    let maxNew = Math.max(...trendData.map(el => el[1]))
                    let maxDeath = Math.max(...trendData.map(el => el[2]))
                    let maxRecovered = Math.max(...trendData.map(el => el[3]))
                    
                    let trendNew = document.querySelector('#trendNew')
                    let trendDeath = document.querySelector('#trendDeath')
                    let trendRecovered = document.querySelector('#trendRecovered')
                    
                    trendData.forEach(el => {
                        
                        let colNew = document.createElement('div')
                        colNew.classList.add('d-inline-block', 'pin-new')
                        colNew.style.height = `${70* el[1]/ maxNew}%`
                        trendNew.appendChild(colNew)
                        
                        let colDeath = document.createElement('div')
                        colDeath.classList.add('d-inline-block', 'pin-death')
                        colDeath.style.height = `${70* el[2]/ maxDeath}%`
                        trendDeath.appendChild(colDeath)
                        
                        let colRecovered = document.createElement('div')
                        colRecovered.classList.add('d-inline-block', 'pin-recovered')
                        colRecovered.style.height = `${70* el[3]/ maxRecovered}%`
                        trendRecovered.appendChild(colRecovered)
                        
                    })
                })
            })
            
            
            let mapTrigger = document.querySelector('#mapTrigger')
            mapTrigger.addEventListener('click', ()=>{
                modal.classList.add('active')
                
                modalContent.innerHTML =
                `
                <div class="container container-scrollable">
                    <div class="row">
                        <div class="d-flex align-items-center justify-content-center w-100" style:"height:100vh; overflow-x:scroll;">
                            <svg xmlns:mapsvg="http://mapsvg.com" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:svg="http://www.w3.org/2000/svg" xmlns="http://www.w3.org/2000/svg" mapsvg:geoViewBox="6.624486 47.092916 18.521301 35.490303" width="610.30981" height="792.58575">
                                
                             
                             
                               
                               
                                <path d="m 374.27021,304.03051 1.36,6.34 2.24,5.51 6.27,11.18 7.01,7.71 8.24,6.15 0.87,2.33 3.67,3.53 0.33,1.35 5.56,3.7 5.16,1.83 0.21,4.85 3.43,2.43 0,0 -1.17,1.85 0.91,0.84 -2.84,1.96 -2.3,2.84 -0.82,3.1 -2.36,1.66 -1.72,3.73 -4.76,5.13 -2.04,-0.37 0.79,-0.64 -1.07,-4.29 -1.1,-1.07 -2.44,-1.62 -1.05,1.32 -0.57,-0.22 -0.98,-2.19 -1.24,0.13 -0.94,-1.26 -2.91,2.38 -1.43,2.22 -2.22,0.15 -0.42,0.9 1.25,3.55 1.52,0.89 -0.42,1.03 -0.85,-0.13 -0.25,-1.01 -0.67,1.24 -1.99,0.05 -0.63,2.64 -0.79,-2.07 -1.16,0.09 -0.87,2.4 -1.33,0.05 -0.28,1.46 -1.87,-0.98 -2.1,0.52 0,0 -2.49,-3.27 -1.96,0.19 -2.4,-1.41 -1.03,0.65 -1.33,-0.4 -1.75,-3.31 -1.32,0.73 -1.07,-1.18 -1.78,-0.49 -1.06,2.09 -4.05,1.35 -1.48,-0.93 -0.73,-1.81 -1.84,-0.43 -1.48,-1.43 -1.73,-0.7 -1.4,1.36 -1,-3.63 1.28,-2.29 -1,-1.41 -1.01,0.18 -1.98,-2.28 -0.9,0.37 -7.65,-4.49 -2.03,-0.72 -0.02,1.24 -2.38,-0.64 -1.41,-2.25 0.15,-4.92 0.78,0.36 2.08,-1.78 0.05,-2.39 1.73,-0.13 6.56,3.53 1.24,-0.77 1.69,0.62 1.07,-2.23 1.5,-0.29 -0.53,-0.71 1.83,-0.33 -1.93,-1.22 -0.3,-1.63 -2.43,-0.84 -2.58,-2.54 -0.65,-3.28 -3.74,-2.48 2.08,-2.33 -3.99,-3.74 3.18,-2.42 -0.1,-2.38 -1,-1.86 1.03,-0.58 0.76,-2.76 2.75,1.04 0.61,-0.73 1.35,0 0.58,0.98 1.5,-0.77 2.26,0.31 1.35,-1.17 0.76,-3.43 -1.99,-0.63 -1.15,-1.37 0.54,-1.68 0,0 0,0 0,0 0,0 0,0 1.66,0.48 1.88,-1.33 0.57,0.46 0.6,-2.37 2.37,-0.39 0.3,-2.49 1.34,-1.49 0.24,-1.44 2.08,1.13 2.37,-1.11 0.67,0.94 1.35,-0.17 2.01,-0.94 0.46,-2.21 0.68,-0.38 2.78,-0.18 2.11,-1.41 4.99,-1.07 0,0 z" title="Abruzzo" id="AB" style="fill:#f5f5f5;"/>

                                <path d="m 457.43021,430.14051 -0.33,-1.23 1.34,-1.23 1.95,-0.38 4.65,0.78 2.51,-0.9 1.45,1.05 1.69,-0.91 -0.16,-0.95 1.67,-0.43 -0.18,-0.76 0.82,0.29 1.42,-0.85 2.3,1.65 1.74,0.3 0.24,1.03 1.26,0.3 0.61,2.35 0.62,-0.42 1.84,1.5 -0.64,1.04 0.3,1.55 -1.79,2.05 -1.51,-0.27 0.61,1.13 5.59,2.38 1.59,1.51 2.14,-1.96 2,0.65 2.94,6.46 6.56,6.05 0.78,1.74 1.53,0.42 3.48,-4.04 2.04,2.47 -0.06,-1.89 0.97,-0.26 0.85,1.33 0.11,-1.74 1.69,0.73 1.01,-0.64 0.17,0.99 1.17,0.7 0.54,-0.74 2.92,2.22 -1.03,0.51 1.22,1.41 -0.9,3.62 0.92,2.05 -0.63,0.46 -0.43,2.89 0.96,1.01 -0.44,0.81 1.16,0.88 -0.96,2.08 0.86,0.94 1.7,-0.43 1.77,1.07 0.37,1.62 1.74,1.47 0.78,1.86 0,0 -3.94,5.64 -4.81,10.36 -2.29,1.67 0,0 -2.72,-0.95 -3.12,0.97 -3.08,-1.02 -1.91,0.37 -0.66,-1.11 -0.63,1.47 0.22,2.84 -1.03,2.22 0.26,2 -3.05,5.44 1.11,1.14 -0.44,1.32 -2.14,-2.39 -2,-0.18 -2.93,0.66 -0.02,1.75 -2.78,-1.27 -1.04,1.08 -4.8,0.26 -1.55,-1.74 0.37,-0.62 -0.85,-1.6 1.24,-2.23 -1.16,-0.32 -1.49,0.85 -0.69,-0.96 -1.85,-0.3 -1.43,1.23 -0.62,-0.87 -0.93,0.49 -0.9,-0.94 -1.68,0.18 -2.35,2.53 -0.95,2.6 0,0 -1.79,-3.55 -2.1,-1.92 -0.14,-1.48 -1.68,-0.98 0,0 1.69,-1.01 -1.27,-1.38 1.21,-0.34 1.56,-2.12 -0.32,-2.91 1.62,-1.65 -0.14,-1 3.47,-1.48 -0.52,-1.23 0.93,-0.83 -0.04,-1.42 -0.61,-1.15 -2.93,-0.85 -0.14,-1.32 -1.64,-1.51 -0.05,-2.56 -2.1,-0.76 -1.6,-2.14 -2.06,-1.03 -0.48,-1.73 -2.17,-1.71 0.72,-1.08 -1.35,-3.21 0.7,-0.82 -4.35,-2.63 0.73,-2.02 1.65,-1.01 0.06,-0.81 -5.93,-3.85 0.17,-4.85 -0.82,-0.07 0.22,-1.18 -2.06,-1.27 2.1,-0.15 0.12,-2.14 -1.02,-0.52 0.43,-0.66 4.79,1.08 0.64,-0.35 -0.23,-1.16 2.96,-1.29 2.26,-5.87 z" title="Basilicata" id="BA" style="fill:#f5f5f5;"/>

                                <path d="m 468.31021,506.03051 0.95,-2.6 2.35,-2.52 1.68,-0.18 0.9,0.93 0.93,-0.49 0.62,0.87 1.43,-1.23 1.86,0.3 0.69,0.96 1.49,-0.85 1.16,0.31 -1.24,2.23 0.85,1.6 -0.37,0.62 1.55,1.74 4.8,-0.26 1.04,-1.08 2.78,1.26 0.02,-1.75 2.93,-0.65 2,0.18 2.14,2.38 0.44,-1.32 -1.1,-1.14 3.05,-5.44 -0.27,-2.01 1.03,-2.21 -0.21,-2.84 0.63,-1.46 0.66,1.1 1.91,-0.37 3.09,1.02 3.12,-0.97 2.72,0.95 0,0 -1.91,2.44 -0.34,2.63 1.36,5.79 -4.6,5.83 -2.5,4.63 0.04,2.92 2.01,2.32 -0.55,3.46 5.08,3.01 8.04,0.12 4.72,5.33 4.69,2.87 3.47,0.89 0.78,2.06 2.14,2.06 3.92,1.35 -2.36,5.88 -0.25,3.69 2.17,3.18 -1.96,6.55 1.44,1.88 -0.31,0.95 0.72,1.14 3.06,1.45 -2.16,1.96 0.25,2.8 -3.82,4 -0.27,-1.1 -1.41,-0.51 -2.11,0.76 -2.14,-2.17 -4.69,0.74 -5.72,2.13 -8.75,5.42 -3.65,6.55 1.15,2.04 1.31,13.66 -0.46,2.82 -5.65,5.88 -7.24,3.06 -8,10.12 -1.01,6.78 -2.54,4.83 -1.69,2.1 -3.34,0.54 -4.03,-0.94 -8.19,0.77 -4.24,-2.41 -2.17,-4.07 1.07,-1.52 -1.27,-3.39 1.26,-2.9 -1.12,-3.36 0.05,-2.72 4.1,-1.68 1.89,-0.06 2.58,-1.46 1.25,-2.17 0.46,-3.18 1.15,-1.04 0.8,-2.74 1.47,-1.34 0.73,-1.94 0.75,-4.87 -5.32,-4.76 0.48,-1.82 1.81,-1.72 4.22,-1.4 1.74,-1.83 2.46,-0.3 3.42,1.02 1.73,-0.5 2.42,-1.9 1.98,-6.48 -0.29,-5.12 -3.09,-1.5 -3.02,-5.58 -1.62,-7.27 -0.78,-10.46 -2.75,-9.07 -3.65,-5.7 -2.64,-1.89 -2.12,-7.35 -0.91,-0.75 -1.4,-8.79 -0.96,-1.69 1.15,-1.94 -1.95,-4.1 z" title="Calabria" id="CL" style="fill:#f5f5f5;"/>

                                <path d="m 389.94021,463.57051 2.01,0.24 -0.69,0.92 -2.93,0.41 0.13,-1.63 1.48,0.06 z m -18.31,-13.47 4.41,1.2 0.53,0.77 -0.69,2.07 -2.82,0.03 -0.31,0.6 -1.98,-1.04 -0.04,-1.87 0.9,-1.76 z m 5.6,-47.67 1.52,0.77 -0.28,1.52 2.06,2.45 2.15,-0.48 1.3,0.86 -0.27,-2.42 -1.37,-1.67 2.2,-4.03 2.29,1.91 0.39,-1.38 3.45,0.06 0.21,0.85 1.77,0.01 0.27,1.02 2.03,1.09 8.01,2.34 0.38,1.59 1.19,0.91 3.34,-0.52 1.22,1.76 2.19,-1.95 1.05,-0.06 -0.04,-0.94 1.97,-0.24 0.94,0.74 1.88,-0.58 1.72,-2.89 4.01,1.7 1.57,-1.59 2.65,-0.22 2.98,-2.1 0,0 1.81,2.84 2.86,0.8 0.19,0.8 -0.82,0.78 0.54,1.2 -1.06,0.18 -0.84,1.17 0.62,2.62 2.97,1.06 0.21,2.17 3.42,-0.14 1.04,1.48 1.62,-0.32 1.26,1.43 -1.61,1.02 0.85,2.38 -2.02,1.2 -0.81,1.99 1.57,0.77 0.73,1.89 2.01,1.44 1.1,-0.9 2.83,1.19 1.7,-1.29 2.1,1.8 1.57,-0.14 3.6,1.8 0,0 1.37,3.97 -2.26,5.87 -2.96,1.29 0.23,1.16 -0.64,0.35 -4.79,-1.09 -0.44,0.67 1.02,0.51 -0.12,2.15 -2.1,0.15 2.06,1.27 -0.22,1.17 0.83,0.07 -0.17,4.85 5.93,3.85 -0.06,0.81 -1.66,1 -0.73,2.02 4.35,2.63 -0.69,0.82 1.35,3.21 -0.72,1.08 2.16,1.71 0.49,1.73 2.06,1.03 1.6,2.14 2.1,0.76 0.05,2.56 1.65,1.51 0.14,1.32 2.93,0.85 0.61,1.15 0.04,1.43 -0.93,0.83 0.52,1.23 -3.47,1.47 0.14,1 -1.61,1.65 0.32,2.91 -1.56,2.12 -1.2,0.34 1.27,1.37 -1.7,1.01 0,0 -0.86,-1.96 -2.78,-0.38 -3.58,0.94 -4.24,4.87 -3.39,-0.57 -2.03,-1.98 -2.21,0.55 -0.19,-0.63 0.86,-0.65 -0.69,-2.23 -3.31,-3.18 -1.48,-0.22 -2.51,-3.03 -4.68,0.06 -2.65,-3.3 -3.68,-1.14 -0.62,-1.06 1.98,-1.5 0.1,-4.01 2.61,-1.5 0.01,-2.94 -6.05,-12.56 -5.33,-5.6 -2.73,0.42 -1.36,2.13 -3.34,-0.97 -2.71,2.4 -2.35,0.41 -2.43,-1.33 -8.06,3.87 0.78,-4.1 3.16,-0.63 0.43,-1.47 3.58,-2.46 -1.08,-3.17 -3.1,-0.98 -3.54,-3.89 -2.76,-1.84 -2.65,1.11 -1.84,2.38 -1.47,-0.22 0.78,-0.38 -0.71,-1.02 -3.35,-0.96 -1.1,0.78 0.85,2.69 -2.25,-0.76 -0.01,-4.52 -1.12,-3.93 -2.65,-4.23 -0.06,-0.15 -2.41,-2.6 -1.4,-4.83 -3.56,-5.82 -3.19,-3.21 0,0 0.55,-1.32 3,-0.58 0.5,-0.77 -0.65,-0.24 0.1,-1.03 3.11,-1.11 -1.03,-4.47 0.82,-1.5 -1.32,-2.22 2.15,-0.37 3.05,-2.77 0.68,0.02 z" title="Campania" id="CA" style="fill:#f5f5f5;"/>

                                <path d="m 314.31021,228.18051 -1.17,3.09 0.23,4.13 -2.52,0.99 -0.54,2.1 -2.92,-0.36 0.19,-1.04 -0.8,-0.31 -0.69,-2.51 -2.72,1.13 0,-2.14 -2.27,-1.32 0,0 1.13,-1.56 -0.32,-3.75 -3.7,2.48 -1.66,0.04 0.28,3.6 0,0 0,0 0,0 1.21,2.22 -1.62,-0.01 -0.34,-0.82 -1.99,0.79 -1.01,3.47 -2.6,2.09 -0.2,2.17 0,0 -0.04,-0.03 0,0 -1.64,0.89 -2.03,-0.37 -0.83,1.97 -1.55,-2.31 -1.44,0.8 -1.41,-0.16 0,0 -1.72,0.9 -1.11,-1.27 0,0 -0.92,0.25 -1.46,-0.9 -1.06,0.42 0,0 -1.63,-1.05 -0.21,-0.97 0,0 -1.35,-0.18 -0.52,-1.29 -4.66,-0.21 -2,-2.41 -3.58,-2 0.27,-3.06 -1.82,-1.22 0.33,-1.63 -2.17,-2.08 0.25,-1.15 0.67,0.09 -0.2,-1.09 1.68,-0.64 0.43,-1.99 2.03,-2.19 0.34,-2.69 -5.47,1.1 -2.65,-0.36 1.45,-2.1 -0.19,-1.04 -2.6,-0.53 -1.03,1 -1.2,-0.26 -1.73,-1.97 -1.39,-0.38 -0.34,-2.14 -1.33,-1.2 -2.46,2.39 -2.49,0.26 -0.2,1.07 -2.28,2.07 -3.99,0.14 -0.11,0.94 2.93,1.7 0.25,1.08 -2.54,0.16 -3.09,-0.89 -3.34,1.45 -2.76,-0.32 -1.55,-1.15 0.62,-1.04 -0.4,-0.91 -4.86,5.46 -0.66,-0.3 0.32,-0.95 -0.68,-0.91 -2.28,-0.5 -4.97,-4.03 -5.57,-0.13 -1,1.23 0.07,1.35 -1.67,0.42 -3.42,-3.05 -0.24,-1.55 -1.74,-1.6 0.05,-1.38 -1.22,-0.67 -1.67,0.29 -2.95,-3.04 -1.6,-0.03 -2.19,-1.23 -2.38,1.19 -5.63,-5.95 -2.44,0.51 -4.28,-2.94 -1.13,-1.26 0.54,-2.62 -1.05,-0.21 -0.5,-1.24 -2.43,-0.87 -5.35,0.59 -3.41,5.37 -3.6,2.09 0,0 -1.42,-3.32 -2.7,-1.99 -1.05,0.65 -1.41,-0.87 -0.35,0.96 -2.78,0.27 -0.94,1.13 -0.26,-1.17 -1.65,0.39 1.54,-4.51 1.32,-0.21 0.48,-3.42 -0.86,-2.09 -3.23,-1.11 -0.79,-1.73 -2.44,1.79 -3.15,-2.55 -0.44,1.05 -2.1,-0.35 0.34,-0.84 -0.59,-0.63 -2.26,0.44 0,0 -0.03,-5.08 0.49,0.19 0,0 1.75,-0.11 -0.32,-2.02 1.31,2.51 3.23,-0.85 -0.71,-1.39 0.89,-1.04 -0.15,-1.22 -1.74,-0.93 -0.3,-1.1 3.85,-3.88 -1.07,-3.25 -0.97,-0.82 -0.73,0.4 -1.75,-1.61 1.25,-1.64 -0.6,-1.02 1.66,-0.42 1.37,-4.05 1.64,-1.75 -0.12,-2.18 2.05,-1.84 -0.11,-0.67 1.23,0.18 0.32,-0.81 2.84,-0.72 1.57,1.86 1.13,-1.03 -0.63,-2.73 0.73,-0.12 1.6,2.14 1.28,-0.54 0.65,-1.91 0.92,1.25 -0.15,2.5 4.18,1.79 1.62,-1.42 0.5,-1.01 -0.75,-1.09 0.87,-0.27 0.83,1.54 1.85,0.95 0.37,1.86 0.93,-3.21 1,0.03 1.01,1.48 0.88,-0.39 0.2,-1.16 -1.13,-1.59 1.8,-1.46 0.73,0.61 -0.38,2.19 2.88,-2.21 0.89,0.09 1.88,2.45 -0.44,1.49 1.52,1.23 0.07,1.22 1.49,-0.35 0.8,1.74 3.33,-1.56 0.53,0.93 2.22,-0.06 3,2.37 1.6,0.04 2.83,2.27 2.45,-1.34 1.47,2.92 4.57,2.23 3.94,-0.17 1.45,-0.84 2.86,-4.12 0.45,1.62 1.8,-2.07 0.97,3.12 4.41,0.72 0.75,0.79 0.88,-0.16 0.08,0.75 1.34,-0.17 -0.2,0.58 1.46,-0.9 1.35,0.22 0.23,-1.15 2.32,-1.19 3.12,0.26 0.93,-0.79 2.65,0.64 1.22,1.55 0.55,-0.65 3.89,-0.31 0.36,-0.66 1.48,1.05 1.67,-1.59 6.23,0.92 0,0 0.16,1.49 5.7,-0.37 2.1,1.41 0.43,1.62 0.71,0.25 1.24,-0.12 2.02,-1.9 3.19,-0.89 0.74,-2.22 2.92,-1.36 6.27,0.08 2.21,-0.78 6.7,1.07 2.29,3.08 1.48,-0.97 0.81,1.05 2.15,0.17 1.46,-1.29 1.08,-0.01 0.83,1.08 -0.63,1.24 0.33,2.89 0.64,0.95 1.99,0.51 0.6,2.18 0,0 -0.65,0.17 -1.19,-1.84 -1.19,-0.36 -1.73,2.28 1.26,-0.5 -1.66,4.37 -0.59,4.98 0.48,3.31 1.96,3.83 -0.11,8.84 1.77,4.76 0.21,3.39 2.05,7.15 1.76,3.53 6.71,7.82 2.52,1.69 5.97,6.43 2.79,1.02 z m -29.42,11.31 -0.27,1.13 1.37,1.59 2.18,-1.12 -0.3,-1.1 0,0 -0.21,-0.47 -2.77,-0.03 z" title="Emilia-Romagna" id="EM" style="fill:#f5f5f5;"/>

                                <path d="m 316.64021,34.280505 1.93,0.64 0,1.43 0.7,0.37 4.11,-0.3 6.15,1.19 1.94,-0.54 4.17,1.02 3.66,2.76 1.7,-0.71 2.55,0.71 1.18,-1.28 1.33,0.15 0.11,-0.91 1.84,0.52 -0.1,0.8 0.96,0.31 3.9,-0.7 0.77,1.44 2.21,-0.33 0.6,1.02 2.4,-0.29 4.98,1.57 -1.5,6.1 -1.9,-0.65 -2.92,0.74 -1.37,2.85 -4.88,2.76 -1.57,0.07 0.02,2.67 -3.36,2.08 2.47,4.57 -0.58,1.71 1.83,-0.18 -0.07,-0.92 1.81,0.06 0.99,0.71 1.43,-0.24 1.59,1.05 0.64,1.48 3.2,-0.5 1.42,0.81 -1.03,3.22 -3.57,3.45 -3.77,2.39 0.3,2.27 -1.57,1.61 3.05,2.85 1.64,-0.23 1.33,-1.49 2.58,0.34 -0.28,3.48 -3.14,6.06 1.04,3.26 1.33,0.89 2.38,-0.38 3.98,3.37 2.52,0.670005 3.6,6.29 2.79,2.03 -4.12,3.68 -2.16,0.14 -2.47,-1.3 -1.5,0.37 -0.09,-0.93 0.78,-0.42 2.71,0.85 1.21,-0.96 -1.43,0.05 -0.46,-1.56 -1.01,0.22 -0.59,-0.66 1.23,-0.94 -0.72,-2.06 -6.15,-6.590005 -2.5,-0.73 -1.13,0.37 -0.56,-0.8 -1.37,1.48 -0.19,1.660005 1.76,1.42 -3.36,1.62 -0.8,-0.27 -2.12,2.06 -2.42,0.23 -5.13,-2.76 -1.84,-0.3 -0.31,0 -0.09,-0.07 -4.23,1.12 -2.88,4.42 0,0 -1.07,-0.6 0.12,-0.61 -0.98,0.12 0.17,-1.32 -1.01,-0.8 0.37,-0.8 -0.79,-0.2 -0.57,-2.67 -0.97,0.71 0.35,-1.17 -0.65,-1.300005 0.49,-0.26 -2.03,-1.93 1.09,-0.64 -0.82,-0.34 0.18,-0.82 -0.39,-0.37 0.04,-0.31 -0.58,-1.58 -0.59,0.24 0.45,1.42 -1.55,0.5 -0.49,-1.09 -1.52,0.94 -1.25,-1.14 0.4,-1.1 -0.64,-0.07 -2.17,1.09 -0.55,1.04 -0.63,-0.73 0.43,-1 -1.13,-0.84 -1.98,2.1 -0.67,-0.67 -3.88,3.59 -0.05,-1.62 -1.12,-0.52 -0.12,-0.89 -1.24,-0.66 -0.68,1.61 -2,-1.05 0.22,-1.2 -1.39,-1.26 -1.26,-4.53 -1.48,-0.01 -1.04,-1.51 -1.43,-0.04 -0.02,-3.47 -0.71,-2.6 -0.92,-0.8 1.77,-2.81 2.9,-1.96 0.45,-3.58 -2.42,-1.95 -0.3,-2.13 -1.83,0.1 -0.26,-1.58 -2.08,0.02 -2.12,-2.85 1.8,-1.88 -0.04,-1.99 1.04,-0.84 1.91,0.27 0.33,-2.02 1.83,-0.93 -0.18,-0.6 0.6,0.27 -0.32,-1.38 2,-1.76 0.28,-1.75 1.48,-2.04 0.41,0.43 1.57,-1.25 1.85,0.79 1.04,-0.79 1.82,0.78 -0.39,-1.74 -1.23,-0.8 0.12,-0.94 3.46,-2.18 2.55,-0.06 -0.88,-1.16 0.7,-2.27 -0.97,-1.66 0.19,-1.8 0,0 1.65,-0.91 1.75,0.65 z" title="Friuli-Venezia Giulia" id="FR" style="fill:#f5f5f5;"/>

                                <path d="m 325.37021,439.63051 -0.25,1.32 0.57,0.19 -1,1.15 -0.18,-2.82 2.24,-1.01 -1.38,1.17 z m 51.61,-39.34 1.01,0.85 -0.76,1.3 -0.75,-0.03 -3.04,2.77 -2.15,0.37 1.32,2.22 -0.81,1.5 1.03,4.47 -3.11,1.12 -0.1,1.03 0.65,0.24 -0.5,0.77 -3,0.58 -0.55,1.32 -2.81,-2.02 -1.22,0.6 -2.81,-1.15 -2.95,1.66 0.11,1.46 0.9,0.6 -2.04,0.07 -8.94,-5.21 -4.34,-1.04 -1.64,1 -2.32,-0.12 -2.92,0.93 -3.31,3.15 -2.41,-0.19 -2.93,-6.73 -3.66,-3.89 -3.6,-1.99 -3.37,-0.34 -0.81,0.63 -4.82,-3.23 -1.7,0.28 -0.14,0.71 -0.87,-0.37 -3.32,-5.86 -7.08,-8.45 -3.68,-3.12 -6.21,-2.83 -0.93,-5.9 -3.13,-5.75 -4.83,-2.83 -1.3,-1.94 -2.56,-0.98 -0.57,-1.21 -2.34,-1.48 -4.27,0.63 -1.67,-3.89 -3.04,-4.01 -0.18,-1.88 -2.12,-4.27 -2.25,-3.16 -5.44,-4.43 -5.13,-2.45 1.86,-4.15 6.8,-0.08 -0.09,-3.43 -2.79,-1.91 1.37,-1.94 -0.45,-1.76 0.62,-0.33 1.14,1.05 0.67,-0.89 0.81,0.23 1.74,-0.88 0.21,-1.08 1.5,-1.11 1.29,0.25 0.91,-2.14 1.37,0.19 1.4,-0.92 -0.08,-1.08 -1.05,-0.48 -0.41,-2.62 1.23,0.01 1.04,-2.36 -3.78,-2.96 1.16,-2.44 1.21,0.47 0.7,1.32 0.51,-2.01 1.63,-1.07 2.48,0.14 1.62,3.89 2.78,1.8 -1.01,1.98 -1.85,1.04 1.29,2.11 4.14,2.56 3.68,-1.31 1.01,1.07 0.12,-0.75 0.67,0.22 1.38,-1.19 1.63,0.68 1.67,2.06 0.55,4.47 1.67,0.78 -0.21,1.96 1.04,0.85 -0.75,0.67 1.52,0.8 -0.69,0.46 1.87,-0.21 1.23,1.26 2,-1.62 1.47,0.16 -0.25,1.86 0.74,0.68 -0.68,0.23 -0.01,2.06 2.29,0.8 -0.97,1.42 3.64,-0.52 -0.05,1.68 0.87,1 4.33,-3.36 0.22,-3.88 1.19,-0.08 0.89,1.86 1.21,-0.05 2.99,-1.97 -1.37,-2.04 3.06,-0.88 0.17,-1.33 2.05,0.1 1.85,-1.63 2.09,-0.67 -0.62,-2.55 0.58,-1.17 2.02,0.99 0.8,-0.97 3.25,0.04 0.71,-1.53 2.06,1.08 2.8,-1.72 0.05,-0.78 1.62,0.64 1.33,-1.28 0.75,-4.45 3.28,0.79 0.54,-1.17 1.09,-0.1 3.68,3.16 -0.54,1.69 1.15,1.36 1.99,0.63 -0.76,3.44 -1.35,1.17 -2.26,-0.32 -1.5,0.77 -0.58,-0.97 -1.35,-0.01 -0.61,0.73 -2.75,-1.03 -0.76,2.76 -1.03,0.57 1,1.86 0.1,2.38 -3.18,2.42 3.99,3.74 -2.09,2.34 3.74,2.47 0.65,3.29 2.58,2.54 2.42,0.83 0.3,1.63 1.94,1.22 -1.83,0.33 0.52,0.7 -1.49,0.29 -1.07,2.23 -1.69,-0.62 -1.24,0.77 -6.56,-3.53 -1.73,0.13 -0.05,2.4 -2.08,1.78 -0.77,-0.36 -0.15,4.92 1.4,2.25 2.39,0.64 0.02,-1.24 2.03,0.72 7.65,4.49 0.89,-0.37 1.98,2.28 1.02,-0.19 1,1.41 -1.28,2.29 1,3.63 1.4,-1.36 1.73,0.7 1.48,1.43 1.84,0.43 0.74,1.81 1.48,0.93 4.05,-1.36 1.07,-2.09 1.77,0.49 1.07,1.18 1.33,-0.73 1.75,3.31 1.33,0.4 1.02,-0.66 2.4,1.42 1.96,-0.19 2.5,3.27 1.99,1.72 1.4,3.59 0.1,1.37 -0.68,0.64 1.37,1.51 -0.22,0.95 -0.85,0.18 1.22,1.06 -2.93,2.01 z m -77.65,-27.89 -0.04,-0.08 0.01,-0.18 -0.11,-0.11 -0.09,0.03 -0.17,0.04 -0.16,0.26 -0.03,0.06 0.07,0.08 0.06,-0.02 0.26,0.06 0.2,-0.08 0,-0.06 z" title="Lazio" id="LA" style="fill:#f5f5f5;"/>

                                <path d="m 165.81021,222.60051 -0.4,0.99 -0.62,-0.99 1.02,0 z m -109.83,-1.17 0.79,0.27 1.55,-1.67 -1.31,0.02 -0.91,-1.44 0.47,-1.54 1.94,-1.07 9,2.88 1.64,-0.87 1.96,0.69 0.44,-0.73 -0.56,-0.87 -1.31,-0.61 1.84,-1.52 1.53,1.02 1.42,-0.49 1.18,-1.54 -0.05,-1.94 -1.46,-1.28 0.73,-1.7 -0.86,-1.1 1.25,-1.23 -1.27,-1.31 0,-1 0.43,-0.54 1.46,0.65 0.3,-2.17 1.29,0.16 0.98,-1.61 -0.24,-1.99 3.19,-1.76 0.75,-1.93 -1.37,-3.28 1.38,-0.45 -0.04,-1.9 1.55,-1.24 0.98,1.53 1.85,0.19 3.08,2.61 1.31,-0.71 0.56,-2.2 0.81,-0.38 1.47,1.05 1.14,-1.71 0.35,0.86 3.2,-0.12 1,0.75 2.74,-3.03 -0.79,-0.91 1.23,-1.93 3.56,0.2 1.62,0.24 1.79,2.94 -0.3,0.9 0.86,-0.04 0.38,2.2 1.27,-0.46 -0.36,-1.48 1.74,-1.46 -0.02,-1.47 2.28,-0.29 0.88,1.18 1.44,-0.77 -0.3,-3.72 -1.44,-1.56 1.56,-1.26 0.64,-1.66 1.61,-0.24 0.72,1.02 2.28,-0.25 1.6,3.43 1.44,-0.29 1.46,0.85 -0.05,1.48 1.63,1.21 3.52,-1.46 -0.06,-1.46 0,0 2.26,-0.44 0.6,0.63 -0.34,0.84 2.1,0.35 0.44,-1.05 3.15,2.55 2.44,-1.79 0.79,1.73 3.23,1.11 0.86,2.09 -0.48,3.42 -1.32,0.21 -1.54,4.51 1.65,-0.39 0.26,1.17 0.94,-1.13 2.78,-0.27 0.35,-0.96 1.42,0.87 1.05,-0.65 2.7,1.99 1.42,3.32 0,0 1.32,-0.19 1.01,2.58 4.03,3.13 2.59,1.06 0.09,2.57 0.81,0.7 -0.43,2.73 2.08,-1.75 1.47,1.02 -0.75,0.06 -1.24,1.98 3.93,-0.13 0.2,2.36 0.94,1.39 -0.49,1.23 1.78,-1.5 2.37,1.47 -0.27,1.38 -2.22,2.55 0,0 -1.58,-0.27 -1.19,0.87 -2.95,-2.2 0.05,-0.92 -1.35,-0.01 -1.99,-2 -1.29,0.79 1.3,1.62 -0.24,0.59 0.75,-0.13 -1.05,1.4 -4.76,-3.11 -1.9,-2.46 -2.44,-1.28 -1.12,0.82 -1.35,-2.56 -2.04,-0.9 -0.91,-1.69 -2.12,-0.8 -0.93,-1.42 -2.36,-0.08 -1.4,-1.45 -0.66,0.47 -1.62,-2.79 -7.03,-3.96 -1.09,1.04 0.12,2.41 -3.64,-1.69 0.52,-1.78 -0.69,-0.96 -10.67,-2.7 -0.65,-1.06 -0.59,0.44 0.41,0.67 -4.54,-1.23 1.17,-0.21 -0.92,-0.37 -2.38,-0.11 0.27,0.52 -2.06,-0.48 -2.07,0.8 -1.53,1.47 -1.83,0.35 -1.47,1.54 -5.94,3.02 -0.77,1.01 0.7,-0.14 -3,2.75 0.76,1.01 -1.92,2.55 0.38,2.04 -8,4 -1.99,3.46 -0.27,3.34 -3.14,3.53 -0.22,1.41 0.74,1.36 -4.29,2.89 -0.91,1.67 -2.31,0.5 -4.2,2.75 -4.44,0.9 -1.44,1.21 -1.54,-0.46 -3.33,1.96 -1.81,-0.3 -1.53,1.59 -4.69,-1.07 -1.24,1.01 -1.02,-0.22 -2.15,-5.17 0.09,-1.54 0.75,-0.94 2.45,-0.75 0.38,-3.17 4.37,-2.29 0.79,-1.75 -0.25,-2.12 2.17,-0.93 0.29,-1.73 z" title="Liguria" id="LI" style="fill:#f5f5f5;"/>


                                <path d="m 186.10021,35.650505 0.52,0.58 -0.91,1.44 0.26,1.12 2.07,0.38 0.48,1.55 2.24,0.59 0.66,-1.01 2.23,0.88 1.1,-0.48 1.91,1.48 0,0 1.15,2.7 3.77,0.3 2.64,1.77 1.03,1.36 -0.23,2.19 0.84,1.39 -1.49,1.56 -1.97,0.11 -2.58,2.55 2.64,1.27 0.6,2.02 -0.89,1.27 0.81,0.47 0.52,2.14 -2.28,4.16 1.07,1.59 -0.94,4.43 -3.33,4.07 0.36,1.9 -1.19,0.94 -0.57,1.83 0.05,1 1.74,0.32 -0.16,2.03 1.3,1.99 -0.91,2.1 0.52,4.31 2.25,0.95 -0.71,1.37 0.42,0.87 1.32,0.13 2.14,-1.33 1.98,-0.07 0.47,-2.15 4.01,-0.81 1.27,0.98 0.39,-0.86 3.97,0.77 0,0 -11.09,16.500005 1.13,11.75 -0.4,1.98 0.84,0.18 0.7,-0.81 2.46,1.13 -0.96,2.57 0.96,0.75 -1.3,0.98 1,1.49 -0.68,1.91 1.49,0.39 0.51,0.99 2.41,-2 1.96,1.93 1.12,2.35 2.64,0.59 0.11,0.68 1.83,0.48 -0.1,1.3 2.87,1.3 0.8,1.22 -0.38,1.71 1.61,-0.32 0.87,0.55 -0.96,1.88 2.32,1.95 1.2,0.22 0.24,-1.27 1.36,0.73 0.93,-1.68 3,1.12 -1.27,1.02 0.41,1.01 -0.59,1.62 3.13,1.16 1.43,-0.85 0.01,2.46 7.98,4.28 0.23,1.03 0,0 -6.23,-0.92 -1.67,1.59 -1.48,-1.05 -0.36,0.66 -3.89,0.31 -0.55,0.65 -1.22,-1.54 -2.65,-0.64 -0.93,0.79 -3.12,-0.26 -2.32,1.19 -0.23,1.16 -1.35,-0.22 -1.46,0.9 0.2,-0.58 -1.34,0.17 -0.08,-0.75 -0.88,0.16 -0.75,-0.79 -4.41,-0.71 -0.97,-3.12 -1.8,2.07 -0.45,-1.62 -2.85,4.12 -1.45,0.84 -3.94,0.17 -4.57,-2.23 -1.47,-2.92 -2.45,1.34 -2.83,-2.27 -1.6,-0.04 -3,-2.37 -2.22,0.07 -0.53,-0.92 -3.33,1.56 -0.79,-1.73 -1.49,0.35 -0.07,-1.22 -1.52,-1.23 0.44,-1.49 -1.88,-2.45 -0.89,-0.09 -2.88,2.22 0.38,-2.19 -0.73,-0.61 -1.8,1.46 1.13,1.59 -0.19,1.16 -0.88,0.39 -1.01,-1.48 -1,-0.03 -0.93,3.21 -0.37,-1.86 -1.85,-0.95 -0.82,-1.54 -0.87,0.27 0.75,1.09 -0.5,1.01 -1.62,1.42 -4.18,-1.79 0.15,-2.5 -0.92,-1.25 -0.65,1.91 -1.28,0.54 -1.6,-2.14 -0.73,0.12 0.63,2.73 -1.13,1.03 -1.57,-1.86 -2.83,0.72 -0.32,0.81 -1.23,-0.18 0.11,0.67 -2.04,1.84 0.12,2.18 -1.63,1.75 -1.37,4.05 -1.66,0.42 0.6,1.02 -1.25,1.64 1.75,1.61 0.73,-0.4 0.97,0.82 1.07,3.25 -3.85,3.88 0.3,1.1 1.74,0.93 0.15,1.22 -0.89,1.04 0.71,1.4 -3.23,0.86 -1.31,-2.51 0.32,2.02 -1.75,0.11 0,0 -0.37,-2.85 0.63,-2 -2.27,-1.68 -0.47,-2.93 -2.72,0.75 -0.45,-0.78 -1.46,-0.12 0.12,-0.94 -1.16,-1.17 0.94,-1.01 -0.73,-1.98 -1.02,0.12 -1.68,-1.49 -1.55,-2.55 0.24,-1.73 -0.73,-1.29 -0.47,-0.44 -1.32,0.62 -1.29,-1.75 -0.29,-3.2 -2.91,0.23 -1.62,1.61 -1.64,0.18 -0.25,1.03 -1.28,-0.17 -0.17,-1 -1.12,0.16 -0.39,-1.16 -0.46,1.76 -3.32,-1.92 -0.29,-3.52 -1.42,-1.3 0.35,-1.3 -1.12,-0.31 -0.59,-1.49 -1.43,-0.43 -0.55,-0.98 1.79,-2.57 -2.17,0.96 -0.5,-0.39 1.19,-0.43 -1.25,-1.17 0.94,-0.85 -0.57,-0.41 1.26,-0.16 -1.61,-0.53 -0.02,-0.49 0.97,0.13 -0.31,-1.77 -2.01,-1.04 0.73,-1.49 1.35,-0.46 -0.6,-1.79 1.5,-1.38 1.18,1 2.78,-0.11 0,0.91 1.13,0.74 0.49,2.55 1.47,-0.11 1.1,-0.59 0.56,-2.1 1.88,-1.2 -2.17,-2.32 1.51,0.28 1.17,-0.8 1.57,0.44 2.13,-1.08 -0.93,-2.79 -0.89,0.06 -1.15,-3.9 -3.51,-1.81 -1.29,-4.92 0.44,-1.71 -1.93,-1.64 -0.32,-1.26 1.52,0.31 -0.81,-1.84 0.37,-1 -2.03,-0.4 0.55,-2.66 -3.05,-0.91 -2.02,-3.820005 0.06,-1.49 2.08,-2.35 -1.28,-4.95 8.05,-8.76 -1.01,-4.55 0.63,-1.61 0,0 1.21,-1.33 0.85,1.4 1.26,0.65 1.22,-0.52 2.36,1.93 0.03,1.11 -1.05,0.63 -2.48,4.44 2.35,0.03 1.94,2.04 1.42,0.33 0.04,1.68 2.47,4.88 -1.75,2.63 2.32,-0.87 2.1,0.78 -0.34,1 2.33,0.08 0.74,-3.66 2.04,-2.17 -0.74,-0.1 -0.82,-1.6 -2.06,-0.54 -0.26,-2.26 -1.22,-0.7 1.89,-1.73 -1.13,-3.27 0.54,-1.04 3.03,-1.09 0.6,-1.63 -0.79,-2.42 2.42,-1.19 2.14,-2.44 1.06,-0.07 2.03,-4.69 1.46,-0.15 0.17,-2.39 2.34,-4.37 -0.11,-2.05 -1.08,-1.21 0.27,-3.23 -1.66,-2.08 1.34,-1.14 0.18,-2.89 4.4,-0.99 0.62,1.79 1.88,1.31 1.26,-2.4 1.45,-0.71 -0.24,1.46 -0.69,0.26 0.98,0.59 -0.12,7.65 1.89,0.63 1,3.01 1.52,1.82 0.46,-0.38 3.87,1.56 2.14,-1.21 1.8,0.76 1.41,-4.28 2.11,1.1 6.62,-3.38 0.96,1.1 1.39,-1 2.26,2.05 -0.77,2.15 1.04,0.67 -0.12,2.19 2.92,1.49 -0.53,2.56 1.22,0.85 1.1,-0.77 1.63,0.29 2.76,-2.36 -1.09,-2.62 -2.56,-2.99 0.13,-1.5 1.08,-0.69 0.52,-1.77 1.19,-0.24 0.21,-1.52 -0.9,-0.2 -0.36,-1.24 -3.12,0.55 -2.1,-1.73 0.7,-1.51 -0.57,-1.05 0.61,-3.01 -0.51,-1.49 2.88,-3.11 0.1,-2.17 1.41,0.38 3.03,-1.55 1.31,0.64 1.23,-1.24 0.47,1.16 z" title="Lombardia" id="LO" style="fill:#f5f5f5;"/>

                                <path d="m 359.22021,257.90051 -2.77,-1.61 -1.18,-2.32 -2.08,-1.73 -0.84,1.52 -2.06,-0.25 -7.56,-4.21 -20.49,-17.97 -5.49,-2.9 -2.43,-0.24 0,0 -1.17,3.09 0.23,4.13 -2.52,0.99 -0.54,2.1 -2.92,-0.36 0.19,-1.04 -0.8,-0.31 -0.69,-2.51 -2.72,1.13 0,-2.14 -2.27,-1.32 0,0 -0.4,1.35 -3.82,-0.43 0,0 -0.04,-0.1 0,0 1.21,2.22 -1.62,-0.01 -0.34,-0.82 -1.99,0.79 -1.01,3.47 -2.6,2.09 -0.2,2.17 0,0 0.13,0.1 0,0 2.15,0.86 2.29,3.08 -2.1,0.02 0.3,2.18 -0.92,-0.06 -0.61,-3.72 -0.44,3.12 -1.23,0.66 -1.46,-0.28 0.2,0.81 -0.94,1.05 -2.31,0.83 1.45,2.23 0,0 0.71,1.17 3.09,-0.04 0.35,0.56 2.08,-1.68 1.88,-0.12 -0.51,0.78 0.48,1.44 -2.92,2.7 1.36,1.42 1.43,-0.73 1.27,1.73 1.42,-2.09 0.99,0.13 0.83,1.42 0.92,0.05 0.29,-0.86 0.91,0.42 6.36,7.29 2.13,-1.29 2.23,0.82 1.32,-2.69 2.08,0.56 -0.37,2.01 0.9,0.84 -1.8,1.69 0.05,0.84 2.27,2.96 0.38,2.91 -0.62,0.7 1.88,1.34 0.67,3.42 1.39,0.69 -0.14,2.9 -1.62,1.55 0.67,1.54 2.07,0.42 0.57,1.71 -0.24,2.77 0.75,2.11 -0.87,0.66 0.94,1.95 -0.56,1.49 2.69,1.61 0.2,0.87 1.11,0.13 0.12,4.04 1.21,-1.36 0.02,-1.71 1.3,0.77 1.4,-1.39 3.01,2.3 2.5,3.94 2.67,-0.61 1.25,-1.82 1.41,3.62 -0.25,1.82 -0.92,1.9 -0.38,-0.77 -1.92,0.78 -0.25,2 0,0 3.28,0.79 0.54,-1.17 1.09,-0.1 3.68,3.16 0,0 1.67,0.49 1.88,-1.33 0.56,0.46 0.6,-2.38 2.37,-0.39 0.3,-2.49 1.33,-1.48 0.25,-1.45 2.08,1.14 2.36,-1.11 0.67,0.95 1.35,-0.17 2.01,-0.94 0.46,-2.21 0.68,-0.38 2.78,-0.19 2.12,-1.41 4.99,-1.07 0,0 -2.2,-6.7 -1.54,-8.13 -11.26,-27.91 0.17,-3.25 z m -61.18,-3.24 -0.74,-0.26 0,0 -0.19,-0.06 0,0 0.32,-0.7 0.57,0.33 0,0 0.1,0.53 0,0 -0.06,0.16 z" title="Marche" id="MA" style="fill:#f5f5f5;"/>

                                <path d="m 419.07021,361.33051 5.44,2.89 4.99,0.93 3.97,4.34 3.16,1.23 0,0 0.21,3.27 -2.13,3.07 0.82,2.93 -0.96,1.59 1,1.22 -0.75,0.52 1,1.49 1.86,0.85 -2.05,1.02 -0.68,1.5 -0.77,-0.77 -0.03,0.82 -2.09,0.91 -1.32,2.42 -3.24,-1.5 -1.25,1.52 0.91,0.8 -0.71,5.58 1.56,0.67 1.99,2.3 0,0 -2.98,2.1 -2.65,0.21 -1.58,1.6 -4.01,-1.71 -1.72,2.9 -1.88,0.58 -0.94,-0.74 -1.97,0.23 0.04,0.94 -1.05,0.07 -2.19,1.95 -1.22,-1.76 -3.34,0.52 -1.19,-0.91 -0.38,-1.59 -8.01,-2.34 -2.03,-1.09 -0.26,-1.01 -1.78,-0.01 -0.2,-0.84 -3.45,-0.07 -0.39,1.38 -2.29,-1.91 -2.2,4.03 1.38,1.67 0.27,2.42 -1.3,-0.86 -2.15,0.48 -2.06,-2.45 0.28,-1.52 -1.52,-0.77 0,0 0.76,-1.29 -1.01,-0.85 2.86,-2.06 -1.22,-1.06 0.85,-0.18 0.21,-0.95 -1.37,-1.51 0.68,-0.63 -0.1,-1.37 -1.4,-3.59 -1.99,-1.72 0,0 2.1,-0.52 1.87,0.98 0.28,-1.46 1.33,-0.05 0.87,-2.4 1.16,-0.09 0.79,2.07 0.63,-2.64 1.99,-0.05 0.67,-1.24 0.25,1.01 0.85,0.13 0.42,-1.03 -1.52,-0.89 -1.25,-3.55 0.42,-0.9 2.22,-0.15 1.43,-2.22 2.91,-2.38 0.94,1.26 1.24,-0.13 0.98,2.19 0.57,0.22 1.05,-1.32 2.44,1.62 1.1,1.07 1.07,4.29 -0.79,0.64 2.04,0.37 4.76,-5.13 1.72,-3.73 2.36,-1.66 0.82,-3.1 2.3,-2.84 2.84,-1.96 -0.91,-0.84 1.17,-1.85 0,0 z" title="Molise" id="MO" style="fill:#f5f5f5;"/>

                                <path d="m 93.25021,47.140505 1.55,1.57 -0.62,1.52 0.74,1.97 -0.36,4.74 -1.95,2.55 1.5,2.49 -0.66,1.18 1.42,1.27 3.05,1 2.2,3.99 1.48,0.63 -0.31,1.06 0.76,1.38 1.81,-0.06 2.02,1.55 1.64,-0.13 0,0 -0.63,1.61 1.01,4.55 -8.05,8.76 1.28,4.96 -2.08,2.35 -0.06,1.5 2.02,3.820005 3.05,0.91 -0.55,2.65 2.03,0.4 -0.37,1 0.81,1.85 -1.53,-0.32 0.32,1.27 1.93,1.63 -0.44,1.71 1.29,4.92 3.51,1.81 1.15,3.9 0.89,-0.06 0.93,2.79 -2.13,1.08 -1.58,-0.43 -1.17,0.8 -1.51,-0.29 2.17,2.32 -1.88,1.2 -0.56,2.1 -1.1,0.59 -1.47,0.11 -0.49,-2.55 -1.13,-0.74 0.01,-0.91 -2.78,0.11 -1.19,-1 -1.49,1.38 0.6,1.79 -1.36,0.46 -0.72,1.49 2.01,1.04 0.31,1.77 -0.98,-0.13 0.02,0.48 1.62,0.53 -1.26,0.16 0.57,0.42 -0.95,0.85 1.25,1.17 -1.19,0.43 0.5,0.39 2.17,-0.96 -1.79,2.57 0.55,0.98 1.43,0.44 0.59,1.49 1.12,0.31 -0.36,1.3 1.43,1.29 0.29,3.53 3.31,1.91 0.46,-1.75 0.4,1.15 1.12,-0.16 0.18,1.01 1.28,0.16 0.25,-1.02 1.64,-0.18 1.62,-1.61 2.91,-0.24 0.29,3.21 1.29,1.75 1.32,-0.62 0.46,0.44 0.73,1.29 -0.24,1.73 1.55,2.55 1.68,1.49 1.02,-0.12 0.72,1.99 -0.94,1.01 1.16,1.17 -0.12,0.94 1.45,0.13 0.45,0.78 2.72,-0.75 0.47,2.93 2.27,1.68 -0.62,2 0.37,2.85 0,0 -0.5,-0.19 0.03,5.08 0,0 0.06,1.45 -3.52,1.47 -1.62,-1.21 0.05,-1.48 -1.46,-0.85 -1.44,0.29 -1.6,-3.43 -2.28,0.25 -0.72,-1.02 -1.61,0.24 -0.63,1.66 -1.57,1.26 1.44,1.56 0.3,3.72 -1.44,0.78 -0.87,-1.19 -2.28,0.3 0.03,1.47 -1.74,1.46 0.36,1.48 -1.27,0.47 -0.39,-2.2 -0.86,0.03 0.3,-0.9 -1.79,-2.94 -1.62,-0.23 -3.55,-0.21 -1.23,1.93 0.79,0.91 -2.74,3.04 -1,-0.75 -3.21,0.12 -0.34,-0.86 -1.14,1.71 -1.47,-1.04 -0.8,0.38 -0.56,2.2 -1.31,0.71 -3.08,-2.61 -1.85,-0.19 -0.98,-1.52 -1.55,1.24 0.04,1.89 -1.38,0.46 1.37,3.27 -0.75,1.93 -3.18,1.76 0.23,2 -0.98,1.61 -1.29,-0.16 -0.3,2.18 -1.46,-0.65 -0.42,0.54 0,1 1.27,1.31 -1.25,1.23 0.86,1.1 -0.74,1.71 1.46,1.27 0.05,1.94 -1.18,1.55 -1.42,0.49 -1.53,-1.02 -1.84,1.51 1.31,0.62 0.56,0.87 -0.43,0.73 -1.97,-0.69 -1.63,0.88 -9,-2.88 -1.94,1.08 -0.47,1.54 0.91,1.44 1.31,-0.02 -1.55,1.67 -0.8,-0.27 0,0 0.06,-1.49 -2.44,-3.29 0.9,-3.11 -2.48,-0.1 -0.88,1.91 -2.9,-0.48 -5.18,2.19 -1.55,-0.35 -0.32,1.3 -1.64,-0.93 -1.83,0.69 -0.72,-2.18 -3.26,0.38 -1.82,-2.21 -1.33,0.22 -1.55,-2.32 -1.32,-0.44 -0.95,0.52 -3.04,-2.06 -2.68,0.39 -1.26,-0.86 -0.62,-3.17 -1.95,-1.13 0.18,-1.02 -1.68,-1.55 -0.23,-1.34 -1.82,-0.83 0.28,-4.23 2.86,-0.56 -3.61,-3.63 -1.12,-3.63 1.13,-1.7 1.6,-0.17 1.18,-1.16 0.88,-3.18 0.93,-0.08 -0.98,-2.4 0.71,-1.73 1.29,-0.98 4.58,0.29 -0.48,-1.88 -1.85,-1.09 -0.55,-3.22 -1.06,-1.16 1.16,-2.47 -0.86,-1.14 -3.58,-1.65 -1.3,1.3 -2.4,-0.46 -3.0799999,-2.09 -0.16,-0.89 -2.53,-0.99 0.2,-2.08 -0.58,-0.35 1.08,-1.54 -1.4,-2.18 0.69,-0.55 -0.34,-1.16 -3.63,-0.41 -0.62,-3.75 -0.92,-0.26 -0.88000002,-2.19 2.38000002,-1.48 0.4,-1.08 3.17,0.18 1.31,-1.56 4.0799999,1.71 0.09,0.64 2.26,-0.69 0.01,-2.3 2.69,-0.1 0.42,-1.51 2.41,-2.12 1.29,0.21 1.23,-0.74 0.97,1.13 2.14,-2.62 0.73,0.1 0.53,-2.63 -1.27,-3.28 0.98,-0.18 0.41,-1.54 1.32,-0.69 0.01,-1.47 1.24,-1.8 -3.74,-2.01 -0.62,-2.45 0,0 1.77,-3.56 0.36,2.85 0.9,-0.68 3.07,1.07 2.39,-3.01 2.8,-0.07 1.88,-0.89 0.96,0.67 3.54,-2.84 0.93,-1.57 1.23,-0.39 1.85,0.47 2.08,-1.13 2.01,1.25 0.13,0.87 1.41,-0.66 1.97,1.3 2.32,-0.38 0.68,0.61 4.89,-3.47 2.64,-0.2 1.01,0.65 0.73,-3.04 1.2,-0.24 -1.82,-3.73 1.66,-2.83 -0.36,-1.2 -1.62,-0.600005 -1.71,-3.1 0.7,-5.05 -0.7,-4.06 0,0 0.72,-0.68 0.1,-3.63 1.47,-1.58 4.15,0.12 1.11,-1.17 0.12,-1.52 1.16,-0.83 -0.67,-2.11 0.54,-1.99 3.72,-0.87 0.56,-1.43 1.91,-1 -0.12,-1.49 0.79,-1.14 -1.37,-3.28 -1.47,-1.81 -1.71,-0.8 3.19,-3.17 1.45,0.44 2.19,-0.87 0.74,-1.93 1.92,-0.85 0.03,-1.35 2.38,-0.99 0.47,-1.5 -1.45,-0.7 0.78,-1.24 1,-0.08 1.99,-1.92 z" title="Piemonte" id="PI" style="fill:#f5f5f5;"/>

                                <path d="m 481.74021,369.18051 3.85,0.75 4.91,3.74 -0.67,1.54 1.26,2.39 -0.08,1.6 -0.39,1.97 -1.36,1.36 -4.73,3.16 -0.29,1.08 -8.39,5.25 0.15,5.69 2.5,4.73 3.46,2.51 9.37,4.34 2.98,2.34 8.1,3.05 8.43,5.09 9.93,3.16 1.66,1.43 1.8,0.05 0.45,0.75 0.94,-0.41 0.25,0.73 4.19,1.82 6.85,2.24 9.64,6.31 3.63,4.43 2,0.91 4.56,4.29 11.81,4.74 6.2,4.3 5.61,0.67 1.12,1.85 -0.49,0.85 3.59,0.12 -0.33,1.09 1.56,1.93 -0.54,2.04 2.25,2.78 2.38,2.17 5.88,3.28 9.38,10.06 2,4.46 -0.23,1.76 1.55,3.62 1.42,0.87 -0.51,0.48 0.59,1.65 -1.72,1.58 -0.49,2.38 -1.99,1.38 -1.44,3.17 -0.88,4.56 0.03,6 -1.11,1.56 -1.21,0.32 -3.83,-2.96 -5.1,-1.07 -6.43,-5.23 -2.72,-4.74 1.21,-0.5 -0.18,-1.95 -2.08,-1.12 1.51,-1.11 0.41,-2.5 -4.61,-5.73 0.33,-1.91 -1.02,-2.19 -2.52,-2.09 -9.07,-1.33 -8.78,0.68 -3.15,-2.28 -2.7,-0.29 -8.68,-5.02 -1.12,0.03 0.3,-0.91 1.92,-0.84 0.22,-1.48 -1.35,-1.64 -2.29,0.11 -0.58,-1.62 -2.85,-1.07 -3.82,0.57 -3.5,1.9 -3.57,3.16 -2.13,3.51 0,0 -0.78,-1.86 -1.75,-1.47 -0.36,-1.62 -1.77,-1.07 -1.7,0.44 -0.86,-0.95 0.96,-2.08 -1.16,-0.88 0.44,-0.81 -0.96,-1.01 0.43,-2.89 0.63,-0.46 -0.92,-2.06 0.9,-3.61 -1.22,-1.41 1.02,-0.51 -2.92,-2.22 -0.53,0.75 -1.17,-0.7 -0.17,-0.99 -1,0.64 -1.69,-0.73 -0.11,1.74 -0.85,-1.33 -0.97,0.26 0.07,1.89 -2.04,-2.47 -3.49,4.04 -1.53,-0.42 -0.77,-1.74 -6.57,-6.04 -2.94,-6.46 -2,-0.65 -2.13,1.96 -1.59,-1.51 -5.59,-2.38 -0.6,-1.13 1.51,0.27 1.8,-2.05 -0.31,-1.55 0.64,-1.04 -1.84,-1.5 -0.61,0.42 -0.61,-2.35 -1.26,-0.3 -0.24,-1.02 -1.74,-0.3 -2.3,-1.65 -1.42,0.85 -0.81,-0.29 0.18,0.76 -1.67,0.43 0.15,0.95 -1.68,0.92 -1.46,-1.06 -2.51,0.9 -4.65,-0.78 -1.94,0.38 -1.35,1.23 0.33,1.23 0,0 -3.6,-1.8 -1.57,0.14 -2.1,-1.8 -1.7,1.29 -2.83,-1.19 -1.1,0.9 -2.01,-1.44 -0.73,-1.89 -1.57,-0.77 0.82,-1.99 2.02,-1.2 -0.85,-2.38 1.61,-1.02 -1.26,-1.43 -1.62,0.32 -1.04,-1.48 -3.42,0.14 -0.21,-2.17 -2.97,-1.06 -0.62,-2.62 0.84,-1.17 1.06,-0.18 -0.54,-1.2 0.82,-0.78 -0.18,-0.8 -2.85,-0.8 -1.81,-2.84 0,0 -1.99,-2.3 -1.56,-0.67 0.72,-5.58 -0.92,-0.81 1.25,-1.52 3.24,1.5 1.32,-2.41 2.09,-0.91 0.03,-0.83 0.77,0.77 0.68,-1.5 2.06,-1.02 -1.86,-0.84 -1,-1.5 0.74,-0.52 -0.99,-1.22 0.96,-1.59 -0.82,-2.93 2.13,-3.06 -0.21,-3.27 0,0 10.43,0.64 1.25,1.02 3.19,0.12 9.93,-1.85 3.37,0.95 4.13,-0.21 12.7,-2.3 z" title="Puglia" id="PU" style="fill:#f5f5f5;"/>

                                <path d="m 89.77021,559.74051 0.55,0.96 2.26,-0.65 2.12,3.57 -1.14,5.62 -1.56,0.89 -2.8,-5.35 -0.56,-2.85 1.13,-2.19 z m -3.19,-4.53 -0.13,5.46 -1.62,0.38 -1.35,-0.95 0.05,-1.69 -1.54,-0.91 2.44,-2.24 2.15,-0.05 z m 73,-115.83 0.55,0.51 -2.49,1.59 -0.53,-0.41 2.76,-2.27 -0.29,0.58 z m -77.12,-3.89 -0.56,0.57 -0.06,-1 0.62,0.43 z m 4.81,-9.65 0.27,1.13 1.24,0.83 -0.73,0.74 -0.17,1.96 -2.73,-1.27 -2.18,3.03 0.66,-0.19 0.82,1.62 -0.47,1.37 -2.3,-0.29 0.99,-2.47 -0.63,-0.09 0.16,-1.12 1.48,-0.62 0.87,-1.6 0.96,-0.11 -0.54,-1.95 2.3,-0.97 z m 59.04,-8.33 0.86,1.53 -1.24,2.08 0.86,0.23 -2.3,0.35 1.09,-4.32 0.73,0.13 z m -6.73,-0.65 0.97,0.61 -1.06,0.94 0.09,-1.55 z m -5.67,-0.46 2.52,2.07 -0.75,1.88 1.06,1.11 2.45,-0.17 0.27,-1.28 1.25,-0.14 0.54,1.82 0.57,0.15 1.98,0.02 -0.98,1.27 1.26,0.22 0.9,1.38 -0.17,2.92 1.49,-2.26 -0.28,-1.15 2.49,0.14 0.31,-1.15 0.92,1.24 -0.56,0.33 0.98,0.06 -0.27,1.23 1.33,-0.06 0.26,1.12 -1,1.52 -0.55,-0.67 -0.39,0.37 0.29,1.44 -0.83,0.52 -0.77,2.98 0.77,-0.04 0.17,-1.35 1.76,-0.53 -0.53,2.25 1.32,0.06 -0.04,-0.82 0.46,0.3 0.49,-0.79 3.55,1.83 -0.7,0.74 -2.17,-1.11 -1.38,1.19 0.58,1.04 -1.29,1.73 0.33,0.93 -2.72,-0.4 -0.91,0.41 0.9,0.47 2.12,0.05 0.86,0.35 -0.38,0.41 0.97,1.14 1.48,-2.05 1.26,0.24 -1.48,1.88 2.24,1.11 -0.53,1.36 1.67,-0.37 2.1,1.45 -0.73,0.56 -1,-0.36 -0.41,0.97 0.57,0.77 -0.88,0.46 -0.14,1.26 2.36,2.34 -0.16,2.72 2,2.51 -0.61,2.56 0.64,2.55 1.84,1.72 0.28,1.81 1.66,1.04 -3.14,9.17 -3.94,3.36 -3.24,5.54 0,3.43 1.37,4.05 2.02,2.71 2.06,1.2 -0.02,1.66 -2.37,5.82 0.16,2.12 1.23,0.31 0.21,0.75 -1.83,1.85 0.74,3.17 -1.37,4.67 0.45,4.66 -1.64,4.03 0.53,5.51 -1.25,4.44 0.72,2.68 -2.47,7.5 0.31,2.11 1.48,1.21 -1.56,0.52 -1.07,1.64 -1,4.63 0.85,1.28 -1.08,2.98 -1.02,0 -0.92,1.13 0.13,1.3 -1,-0.84 0,-1.45 -0.95,-0.36 -2.42,0.82 -7.24,-5.97 -4.44,-0.93 -2.13,1.29 -0.48,1.71 -2.56,-2.06 -2.13,0.94 -2.54,3.16 -0.05,4.15 1.47,2.05 -1.25,4.73 -0.55,-0.55 -0.73,0.37 -7.09,7.14 -1.26,-0.05 -1,-1.31 -0.65,0.85 -1.28,-2.04 -2.78,-1.59 -0.17,1.04 -2.76,0.68 0.29,1.04 -1.09,0.55 0.5,1.33 -0.86,0.29 0.29,-2.01 -2.05,0.11 0.73,-3.3 -2.54,-2.31 -0.43,-4.26 -1.66,-0.96 -2.92,-0.06 0.46,-1.85 -0.71,-1.55 -0.64,-0.6 -1.1,0.59 -0.04,-2.91 -3.48,-3.73 -0.1,-0.98 2.99,-2.8 0.53,-1.38 -0.77,-2.71 -1.38,-0.49 -0.2,-1.71 -0.82,-0.68 1.98,-3.13 -0.05,-1.18 -1.49,-0.98 0.21,-1 3.41,-5.04 0.91,-3.68 -1.1,-2.15 0.44,-2.02 -0.62,-1.13 0.51,-1.6 -0.5,-3.33 0.68,-0.84 1.78,3.07 0.78,-0.06 0.34,-2.07 1.62,-2.76 0.4,-4.28 -1.52,-2.77 -2.41,-0.15 -1.91,1.96 -2.19,-2.07 -0.25,-4.49 1.03,-2.95 -1.82,-1.06 1.3,-1.08 0.5,0.7 2.14,-0.66 1.84,-1.96 0.08,-1.51 -1.77,-4.92 1.33,-7.34 -1.18,-2.26 -1.98,-1.15 -1.95,-0.11 -0.18,-1.44 1.14,-3.36 -1.43,-5.38 -1.81,-0.64 -1.94,-6.04 -2.71,0.54 -0.14,0.92 -2.04,0.05 -0.02,-1.76 0.75,-0.52 -1.09,-1.14 -1.81,2.85 -0.56,-0.18 -0.29,-2.99 2.05,-0.94 1.08,-3.18 -1.56,-0.67 -2.16,-2.46 1.75,-2.35 -0.28,-1.94 1.36,-1.18 1.84,-5.06 -2.4,-3.34 1.4,-2.4 1.72,1.24 -0.25,2.86 4.13,4.43 3.05,0.61 2.28,-0.38 1.94,1.42 5.44,-0.8 6.83,-5.52 5.01,-0.74 4.14,-4.71 -0.11,-1.31 3.08,-1.85 4.11,-5.58 1.65,-0.89 0.65,0.73 2.59,-0.5 0.61,-1.39 1.68,-0.07 0.82,-0.92 -0.76,-1.91 0.67,-2.18 -1.29,-0.22 0.15,-0.94 1.05,0.71 1.44,-0.77 0.06,0.92 1.83,-1.76 z m 9.68,-0.66 1.46,2.36 -0.43,1.15 -2.96,0.46 -0.45,-1.26 1.48,-1.12 -0.13,-1.1 0.69,0.74 0.34,-1.23 z" title="Sardegna" id="SA" style="fill:#f5f5f5;"/>

                                <path d="m 302.99021,790.06051 4.91,0.51 0.32,1.67 -5.98,-1.61 0.75,-0.57 z m -29.42,-82.98 2.34,1.2 0.6,-0.37 2.01,1.7 0.12,2.36 -1.41,1.66 -1.88,-0.13 -3.32,-4.07 0.09,-1.56 1.45,-0.79 z m 25.2,-64.48 -0.94,-3.28 1.32,-0.71 -0.38,3.99 z m -7.1,-7.16 0.79,1.49 1.13,-0.41 1.09,0.78 -0.01,1.15 -0.73,0.18 -0.94,-1.02 -2.46,0.28 -0.83,-1.4 1.96,-1.05 z m -12.51,-2.44 1.33,2.86 -2.49,-0.75 -0.7,-2.16 1.86,0.05 z m 179.1,-20 2.42,1.62 2.74,0.66 -2.76,0.76 -1.51,1.25 -0.77,2.89 0.84,-0.17 -4.12,7.59 -9.76,12.73 -0.03,1.65 -1.66,1.13 0.2,0.92 -3.3,4.26 -0.38,1.12 0.73,1.72 -1.02,3.58 -1.22,1.56 0.07,3.52 -3.12,2.95 -1.54,2.87 0.59,10.6 3.34,2.07 1.51,0.38 0.68,-0.67 2.64,3.23 -0.55,0.76 -0.95,-0.66 -0.19,1.67 -0.46,-1.87 -1.15,0.4 -0.33,3.21 1,2.34 1.37,-0.45 0.57,0.83 -0.79,-0.33 -0.38,0.56 0.67,1.63 1.43,0.81 1.74,-0.08 0.1,3.06 -1.08,-0.41 -0.09,1.59 0.7,0.44 0.97,-0.57 1.44,2.49 -1.79,-0.8 -1.29,0.52 -0.73,2.16 -2.68,0.64 -2.89,3.19 -2.96,7.3 2.31,7.29 -0.46,1.15 -0.81,-0.5 -1.78,1.69 -3.2,-3.39 -3.09,0.56 -2.25,-1.92 -1.86,-0.48 -4.95,1.71 -1.93,-1.06 -2.73,-0.01 -2.69,-2.55 -2.52,-1 -4.87,-0.63 -1.77,-1.91 -0.82,-3.48 -3.21,-5.76 -6.02,-6.1 -4.99,-2.35 -4.91,-1.09 -5.26,0.12 -3.2,0.85 -1.51,-0.43 -2.7,-2.75 -3.69,-0.33 -4.62,-2.86 -0.95,-2.12 -4.47,-3.67 -1.52,0.39 -0.76,-0.84 -3.1,-0.09 -2.41,-2.52 -4.08,-2.02 -1.32,-1.57 -1.28,-0.09 -1.06,-2.39 -4.43,-4.3 -4.56,-0.77 -2.91,0.69 -2.96,-4.45 -2.3,-0.79 -7.06,-0.25 -5.37,1.33 -3.42,-5.2 -2.17,-1.38 -2.32,0.15 -2.22,-2.57 -0.19,-2.89 -2.44,-3.67 1.95,-1.12 1.14,-3.61 -1.42,-2.15 2.07,-2.9 -0.2,-2.01 1.24,-0.55 -1.48,-1.6 1.51,-0.38 2.66,-3.02 1.69,0.31 1.79,-0.71 1.21,-1.21 -0.12,-1.12 2.58,0.1 1.35,-1.95 -1.11,-2.19 0.81,-1.06 0.34,0.85 1.58,-0.18 0.05,1.81 1.08,1.06 -0.04,1.6 1.13,2.01 4.56,3.53 4.5,-1.24 4.58,-2.85 -1.28,-3.3 0.98,-0.23 0.66,-1.25 -0.4,-0.68 1.62,-1.37 4.26,1.51 2.11,-0.86 0.44,-1.36 1.75,0.26 2.18,-1.6 0.66,1.68 1.87,1.12 0.51,2.15 -0.74,1.14 1.05,1.47 3.29,0.92 2.25,-0.55 0.89,-1.12 1.49,0.42 0.03,3 1.55,1.78 7.44,4.02 2.78,0.43 4.93,-1.34 4.32,-2.55 3.86,-0.76 2.24,1.48 2.17,0.23 1.89,-0.96 7.21,1.44 4.38,-0.57 2.76,-1.55 2.72,0.41 8.22,-2.63 5.6,-5.98 2.16,0.91 5.12,-1.36 1.23,-1.26 2.9,2.55 3.78,0.01 0.84,1.58 1.96,0.4 3.89,-2.14 2.25,-2.55 1.14,-3.18 -0.87,-1.83 0.84,-0.06 0.7,1.53 -0.54,2.11 2.25,0.63 5.74,-1.57 6.3,-4.25 1.75,-0.14 z m -30.68,-7.75 1.89,1.45 0.3,1.71 -1.04,0.18 -1.7,-1.09 -0.57,-1.83 1.05,-1.35 0.51,0.5 -0.44,0.43 z m 0.11,-6.72 0.02,1.94 0.91,0.65 -1.28,0.42 -0.1,2.34 -2.89,-3.04 0.83,-2.18 2.51,-0.13 z m -30.78,-2.14 -0.06,1.42 -0.87,0.05 -0.12,-1.15 1.05,-0.32 z m 23.55,-1.87 2.57,0.12 -0.03,2.87 -0.79,0.18 -3.07,-1.76 0.55,-1.42 0.77,0.01 z m -13.99,-0.14 1.42,0.28 0.88,1.66 -2.03,-0.2 -0.73,-1.18 0.46,-0.56 z m 27.06,-3.89 -0.09,1.03 -0.93,0.31 0.14,-1.2 0.88,-0.14 z m -96.48,-4.47 0.43,0.29 -0.74,0.86 -1.71,0.15 0.35,-1.22 1.03,-0.54 0.64,0.46 z m 104.15,-6.35 0.89,0.66 -1.53,1.91 -1.31,-1.3 1.95,-1.27 z" title="Sicilia" id="SI" style="fill:#f5f5f5;"/>

                                <path d="m 189.44021,341.50051 0.86,1.8 -0.76,0.73 -1.01,-0.17 -0.16,-2.15 1.07,-0.21 z m 29.33,-2.75 1.97,2.03 -0.22,3.02 -1.97,-2.44 -0.82,-0.13 1.04,-2.48 z m -41.31,-15.88 1.08,2.11 -0.65,1.48 -2.22,-0.98 1.43,-0.67 0.36,-1.94 z m 17.33,-17.27 1.33,1.4 -0.77,2.13 0.32,2.67 -2.52,1.36 2.45,1.7 -0.55,1.88 -2.47,-0.8 -0.92,-2.73 -0.77,-0.37 -1.22,0.24 0.07,1.67 -0.9,-1.6 -0.83,1.66 -2.23,-0.99 -0.22,1.65 -2.72,-0.74 -1.65,0.26 0.19,0.53 -1.81,-1.11 -1.03,-1.75 0.1,-1.58 1.84,-1.41 2.85,-0.07 2.54,1.55 0.17,-0.79 1.07,-0.28 -0.36,-0.57 0.65,-0.47 -0.61,-0.84 3.63,0.87 -0.76,0.97 1.9,0.34 2.67,-5.01 0.56,0.23 z m -30.08,-13.75 0.69,1.98 -1.83,2.42 -0.92,-1.33 0.51,-2.3 1.23,-1.3 0.32,0.53 z m 123.09,-52.03 0.08,0.16 0,0 0.3,1.1 -2.18,1.13 -1.37,-1.59 0.27,-1.12 2.77,0.02 0,0 0.13,0.3 z m -130.75,-39.65 3.6,-2.09 3.41,-5.36 5.35,-0.59 2.44,0.87 0.5,1.24 1.05,0.22 -0.54,2.63 1.13,1.26 4.28,2.94 2.44,-0.51 5.63,5.96 2.38,-1.19 2.19,1.23 1.6,0.03 2.95,3.04 1.67,-0.29 1.22,0.67 -0.05,1.38 1.74,1.6 0.24,1.55 3.42,3.05 1.67,-0.42 -0.07,-1.34 1,-1.23 5.57,0.13 4.97,4.03 2.28,0.51 0.68,0.91 -0.32,0.95 0.66,0.3 4.86,-5.46 0.4,0.91 -0.61,1.04 1.55,1.15 2.76,0.32 3.34,-1.45 3.09,0.89 2.54,-0.16 -0.25,-1.08 -2.93,-1.7 0.11,-0.94 3.99,-0.14 2.28,-2.07 0.2,-1.07 2.49,-0.26 2.46,-2.39 1.33,1.21 0.34,2.15 1.4,0.38 1.73,1.97 1.21,0.26 1.03,-1 2.6,0.53 0.2,1.04 -1.45,2.1 2.66,0.36 5.47,-1.1 -0.34,2.69 -2.03,2.19 -0.43,1.99 -1.68,0.64 0.2,1.09 -0.67,-0.09 -0.25,1.15 2.17,2.08 -0.33,1.63 1.82,1.22 -0.27,3.06 3.58,2 2,2.41 4.67,0.21 0.52,1.3 1.35,0.18 0,0 0.21,0.97 1.64,1.05 0,0 1.06,-0.42 1.46,0.9 0.92,-0.25 0,0 1.11,1.27 1.72,-0.9 0,0 1.42,0.16 1.44,-0.8 1.55,2.31 0.83,-1.97 2.04,0.38 1.64,-0.89 0,0 0.17,0.13 0,0 2.15,0.86 2.29,3.08 -2.1,0.02 0.3,2.18 -0.92,-0.06 -0.61,-3.72 -0.44,3.12 -1.23,0.66 -1.46,-0.28 0.2,0.81 -0.94,1.05 -2.31,0.83 1.45,2.23 0,0 -2.48,3.13 -0.77,2.59 -2.19,-0.18 -0.55,0.56 -0.17,1.76 2.61,1.48 -0.1,0.56 -2.13,0.9 -1.01,1.7 -1.09,-0.34 -1.71,1.74 0.33,1 2.14,-0.22 0.11,2.66 1.43,-0.54 0.65,0.6 1.01,2.29 -0.59,1.71 0.4,0.9 2.23,0.84 0.9,-2.23 1.54,1.26 -6.67,4.18 -2.2,-1.23 -0.82,0.37 0.5,1.33 -0.99,2.73 -5.18,3.05 -0.49,1.32 0.88,2.44 -0.33,1.22 0.79,1.57 0.84,-1.05 1.27,1.36 -2.42,9.85 1.09,0.75 0.15,1.81 -1.28,0.08 -1.95,2.34 0,0 -2.48,-0.14 -1.62,1.07 -0.51,2.01 -0.7,-1.32 -1.2,-0.47 -1.16,2.44 3.78,2.96 -1.04,2.36 -1.23,-0.01 0.41,2.62 1.05,0.48 0.08,1.08 -1.4,0.92 -1.37,-0.19 -0.91,2.14 -1.29,-0.25 -1.5,1.11 -0.2,1.08 -1.74,0.88 -0.81,-0.23 -0.67,0.89 -1.14,-1.05 -0.62,0.33 0.45,1.76 -1.37,1.94 2.79,1.91 0.09,3.43 -6.8,0.08 -1.85,4.15 0,0 -8.37,-1.95 -1.17,-0.95 -2.73,0.72 0.13,1.48 -0.99,0.48 -0.23,1.22 -1.82,0.15 -1.36,-1.7 -1.62,-0.51 -0.44,-2.58 0.98,-1.23 0.85,0.87 2.24,-0.19 1.01,-2.06 0.31,-3.12 -1.73,-3.57 -1.76,0.36 -0.98,-2.88 -1.1,-1.07 0.21,-0.98 -4.14,-1.77 -0.93,-3.72 -2.21,-2.29 -4.43,-1.78 -3.39,-0.4 -3.08,-2.02 1.84,-1.13 0.14,-3.65 0.89,-1.29 -0.66,-1.47 -1.79,-1.34 -3.2,-1.49 -2.86,-0.31 -3.73,0.58 -0.39,1.77 -2.31,-0.78 -0.59,-3.94 1.69,-0.8 1.12,-6.21 -0.66,-11.12 -1.17,-2.9 -2.16,-2.26 -1.83,-5.45 -1.08,-0.1 -1.15,-3.16 -2.62,-1.98 -1.62,-4.33 0.32,-2.36 -1.86,-7.72 0.6,-0.88 -0.25,-4.01 -1.84,-8.73 -5.04,-7.69 -4.12,-3.65 -2.16,-1.04 0,0 2.23,-2.54 0.27,-1.38 -2.37,-1.47 -1.78,1.5 0.49,-1.23 -0.94,-1.39 -0.19,-2.36 -3.93,0.14 1.24,-1.98 0.75,-0.06 -1.47,-1.02 -2.08,1.75 0.43,-2.73 -0.81,-0.7 -0.09,-2.57 -2.59,-1.06 -4.03,-3.13 -1.01,-2.58 -1.46,0.03 z" title="Toscana" id="TO" style="fill:#f5f5f5;"/>

                                <path d="m 286.23021,0.7105053 1.73,1.36 -1.16,0.82 -0.54,2.17 -2.97,0.31 -1.32,1.27 0.85,3.7999997 1.6,1.52 -1.3,1.92 2.27,0.43 1.44,2.32 1.37,-1.07 1.76,0.41 1.58,3.22 -1.13,1.85 -0.06,2.32 3.62,0.65 1.37,4.26 5.04,2.91 0,0 -2.46,0.92 -1.67,1.87 -0.88,-0.2 0.38,1.33 -0.51,0.46 -1.26,0.06 -0.74,-0.89 -2.99,0.94 -1.21,-0.76 -3.34,2.65 -0.11,-2.26 -1.55,-0.98 -0.83,0.29 -3.93,-3.07 0.3,2.33 -1.51,2.68 0.17,1.49 -2.46,3.92 -0.58,-0.77 -1.16,0.06 -1.18,1.18 -1.57,-0.32 -4.87,2.46 -0.12,1.64 3.07,0.42 0.6,1.39 -2.3,2.72 -0.27,3.66 -0.81,-0.74 -2.36,1.43 2.91,2.44 0.58,1.4 -0.67,1.9 0.79,0.7 2.16,-0.5 0.44,1.94 0.64,-0.41 1.21,0.59 -0.79,1.97 2.43,2.22 -0.61,1.6 -1.1,-0.44 -1.71,3.95 -4.19,1.46 -2.23,-0.24 -0.75,0.78 -0.66,-0.77 -2.74,0.87 -0.01,2.02 0.93,1.53 -2.06,0.61 0.74,0.68 -0.73,0.81 1.14,2.02 -0.91,1.87 -4.21,-0.3 -0.54,-2.81 -1.89,-0.6 -2.15,0.29 -2.74,2.27 -3.62,-0.23 0.38,2.85 -1.29,0.16 -0.68,1.54 0.35,0.99 -2.48,-1.34 -0.07,-0.78 0.02,1.36 -2.42,-0.18 -0.86,4.91 -2.35,2.83 0.6,2.36 -1.55,-0.15 0.13,3.600005 -2.5,3.37 -1.6,-0.21 -1.93,-1.84 -1.64,0.88 -0.44,-1.17 -1.84,2.65 -0.49,-1.04 -1.5,1.69 -1.49,-0.93 0.65,-1.14 -2.05,-1.01 -2.19,-0.01 2.19,-4.030005 -0.78,-1.51 1.28,-1.1 -2.68,-1.66 0,0 -3.96,-0.77 -0.39,0.87 -1.27,-0.99 -4.01,0.81 -0.48,2.15 -1.97,0.06 -2.15,1.34 -1.32,-0.13 -0.41,-0.87 0.69,-1.39 -2.25,-0.96 -0.52,-4.31 0.91,-2.1 -1.3,-1.99 0.16,-2.03 -1.74,-0.32 -0.05,-1 0.57,-1.83 1.2,-0.95 -0.36,-1.9 3.33,-4.07 0.93,-4.42 -1.06,-1.59 2.27,-4.16 -0.51,-2.13 -0.81,-0.47 0.88,-1.27 -0.6,-2.02 -2.64,-1.27 2.59,-2.54 1.97,-0.12 1.49,-1.56 -0.84,-1.38 0.23,-2.2 -1.03,-1.36 -2.64,-1.77 -3.77,-0.3 -1.14,-2.69 0,0 1,-0.89 0.89,-5.07 -2.28,-2.08 -2.29,0.31 -0.84,-3.65 1.54,-1.91 -0.75,-1.75 2.19,-1.74 -1.22,-2.57 1.44,-0.8 1.46,-4.14 1.12,0.9 2.8,-0.2 -0.37,0.88 6.09,-2.84 1.36,0.77 -0.01,1.01 3.17,1.29 0.45,0.81 -1.75,2.64 1.34,0.23 1.63,-0.82 1.4,1.52 1.18,-0.49 2.48,1.45 1.66,-0.87 5.25,0.56 0.94,-2.86 2.29,-1.2 -0.62,-2.44 1.43,-2.62 -0.14,-1.8 0.9,-1.3 1.31,0.18 1.18,-0.88 0.14,-1.9499997 1.25,-0.37 0.92,0.6099997 5.77,-2.2299997 0.85,0.58 1.07,-0.47 2.39,1.95 1.87,-0.79 2,-2.72 2.93,2.12 4.2,-2.24 2.28,1.52 2.4,0.06 0.87,1.42 1.03,0.29 1.78,-1.65 2.79,-0.13 4.02,-3.1 1.61,-0.08 1.43,-1.15 2.23,0.19 1,-1.1 1.83,0.19 1.14,-1.44 1.07,0.39 3.38,-1.43 z" title="Trentino-Alto Adige" id="PT" style="fill:#f5f5f5;"/>

                                <path d="m 297.82021,254.98051 -0.52,-0.58 0,0 -0.19,-0.06 0,0 0.24,-0.68 0.66,0.31 0,0 0.1,0.53 0,0 -0.29,0.48 z m -11.03,-1.48 0.71,1.17 3.09,-0.04 0.35,0.56 2.08,-1.68 1.88,-0.12 -0.51,0.78 0.48,1.44 -2.92,2.7 1.36,1.42 1.43,-0.73 1.27,1.73 1.42,-2.09 0.99,0.13 0.83,1.42 0.92,0.05 0.29,-0.86 0.91,0.42 6.36,7.29 2.13,-1.29 2.23,0.82 1.32,-2.69 2.08,0.56 -0.37,2.01 0.9,0.84 -1.8,1.69 0.05,0.84 2.27,2.96 0.38,2.91 -0.62,0.7 1.88,1.34 0.67,3.42 1.39,0.69 -0.14,2.9 -1.62,1.55 0.67,1.54 2.07,0.42 0.57,1.71 -0.24,2.77 0.75,2.11 -0.87,0.66 0.94,1.95 -0.56,1.49 2.69,1.61 0.2,0.87 1.11,0.13 0.12,4.04 1.21,-1.36 0.02,-1.71 1.3,0.77 1.4,-1.39 3.01,2.3 2.5,3.94 2.67,-0.61 1.25,-1.82 1.41,3.62 -0.25,1.82 -0.92,1.9 -0.38,-0.77 -1.92,0.78 -0.25,2 0,0 -0.75,4.46 -1.33,1.28 -1.62,-0.64 -0.05,0.78 -2.8,1.72 -2.06,-1.08 -0.71,1.53 -3.25,-0.04 -0.79,0.97 -2.01,-0.99 -0.58,1.17 0.62,2.55 -2.09,0.67 -1.85,1.63 -2.05,-0.1 -0.17,1.33 -3.06,0.88 1.37,2.04 -2.99,1.97 -1.2,0.05 -0.89,-1.85 -1.19,0.08 -0.22,3.88 -4.33,3.36 -0.87,-1 0.05,-1.68 -3.64,0.53 0.97,-1.42 -2.29,-0.79 0.02,-2.06 0.68,-0.23 -0.74,-0.68 0.25,-1.86 -1.47,-0.16 -2,1.62 -1.23,-1.26 -1.87,0.22 0.69,-0.46 -1.52,-0.8 0.75,-0.67 -1.04,-0.85 0.21,-1.95 -1.67,-0.78 -0.55,-4.47 -1.67,-2.06 -1.62,-0.68 -1.38,1.19 -0.67,-0.21 -0.12,0.75 -1.01,-1.07 -3.68,1.31 -4.14,-2.56 -1.29,-2.11 1.85,-1.04 1.01,-1.98 -2.78,-1.79 -1.62,-3.88 0,0 1.95,-2.34 1.28,-0.08 -0.15,-1.81 -1.09,-0.75 2.42,-9.85 -1.27,-1.36 -0.84,1.05 -0.78,-1.57 0.33,-1.22 -0.88,-2.43 0.49,-1.32 5.18,-3.05 1,-2.73 -0.5,-1.32 0.83,-0.36 2.2,1.23 6.67,-4.18 -1.54,-1.26 -0.9,2.23 -2.23,-0.84 -0.39,-0.9 0.59,-1.71 -1.01,-2.29 -0.65,-0.6 -1.42,0.54 -0.11,-2.66 -2.14,0.22 -0.33,-1 1.71,-1.74 1.09,0.34 1.01,-1.7 2.13,-0.9 0.1,-0.56 -2.61,-1.48 0.17,-1.76 0.55,-0.56 2.19,0.18 0.77,-2.59 2.38,-3.25 z" title="Umbria" id="UM" style="fill:#f5f5f5;"/>

                                <path d="m 49.07021,82.450505 0.58,1.17 3.82,-0.54 0.91,1.48 1.32,0.54 0.64,1.93 1.6,-1.15 2.47,1.61 1.17,-0.66 2.07,0.73 0,0 0.7,4.06 -0.7,5.05 1.71,3.1 1.62,0.600005 0.36,1.2 -1.66,2.83 1.82,3.73 -1.2,0.24 -0.73,3.04 -1.01,-0.65 -2.64,0.2 -4.89,3.47 -0.68,-0.61 -2.32,0.38 -1.97,-1.3 -1.41,0.66 -0.13,-0.87 -2.01,-1.25 -2.08,1.13 -1.85,-0.47 -1.23,0.39 -0.93,1.57 -3.54,2.84 -0.96,-0.67 -1.88,0.89 -2.8,0.07 -2.39,3.01 -3.07,-1.07 -0.9,0.68 -0.36,-2.85 -1.77,3.56 0,0 -2.72,-0.39 0.27,-1.63 -2.79,-0.76 -0.23,-5.06 -0.95,-1 1.17,-3.79 -1.74,-1.05 -2.6,0.18 -0.52,-1.45 -2.45,-0.92 -2.5199999,-2.91 0.3699999,-1.2 -0.7599999,-2.950005 1.0099999,-4.14 1.19,-0.34 0.99,0.64 0.73,-1.19 1.79,0.62 1.49,-0.47 0.53,-1.03 2.31,-0.81 0.32,-2.06 2.06,-1.74 3.16,4.8 2.57,-1.55 1.86,1.5 1.24,-2.11 2.13,-0.06 1.83,-2.42 4.72,1.84 4.45,-2.8 -0.04,-0.99 1.35,-1.05 2.22,0.42 0.3,-2.13 z" title="Valle d'Aosta" id="VA" style="fill:#f5f5f5;"/>
                                
                                <path d="m 303.90021,157.45051 -1.35,0.77 0.94,-1.05 -0.9,-0.37 1.6,-0.18 -0.29,0.83 z m -1.64,-2.1 1.19,0.9 -2.37,0.53 0.62,-1.75 0.56,0.32 z m -0.37,-124.080005 2.84,1.95 5.54,-0.56 2.07,0.74 0.89,1.09 0,0 -0.19,1.8 0.97,1.66 -0.7,2.27 0.88,1.16 -2.55,0.06 -3.46,2.18 -0.12,0.94 1.23,0.8 0.4,1.74 -1.82,-0.78 -1.04,0.79 -1.85,-0.79 -1.57,1.25 -0.41,-0.43 -1.48,2.04 -0.28,1.75 -2,1.76 0.32,1.39 -0.6,-0.27 0.18,0.6 -1.83,0.93 -0.33,2.02 -1.91,-0.27 -1.04,0.84 0.04,1.99 -1.8,1.89 2.12,2.85 2.08,-0.01 0.26,1.58 1.84,-0.1 0.3,2.13 2.42,1.95 -0.45,3.58 -2.9,1.96 -1.77,2.81 0.92,0.8 0.71,2.6 0.02,3.47 1.43,0.04 1.05,1.51 1.48,0.01 1.26,4.53 1.39,1.26 -0.21,1.2 2,1.05 0.68,-1.6 1.24,0.66 0.12,0.9 1.12,0.52 0.05,1.62 3.88,-3.59 0.67,0.68 1.98,-2.1 1.13,0.84 -0.43,1 0.63,0.73 0.55,-1.04 2.17,-1.08 0.64,0.07 -0.4,1.1 1.25,1.14 1.52,-0.94 0.49,1.09 1.55,-0.5 -0.45,-1.41 0.59,-0.24 0.58,1.58 -0.04,0.31 0.4,0.37 -0.17,0.82 0.82,0.35 -1.09,0.64 2.03,1.93 -0.49,0.26 0.65,1.300005 -0.35,1.17 0.97,-0.71 0.57,2.67 0.79,0.2 -0.37,0.8 1.01,0.81 -0.17,1.32 0.98,-0.12 -0.12,0.61 1.07,0.6 0,0 -0.56,0.77 -4.92,0.34 0.09,-0.75 -0.91,-0.35 -0.48,1.36 -3,0.39 -0.95,1.29 -6.26,3.91 -15.92,7.41 -1.53,1.97 -1.67,-0.84 -1.92,2.58 -1.44,2.81 -0.1,1.08 0.83,0.39 -1.08,0.4 -1.56,6.49 1.36,0.42 -1.08,1.07 0.57,2.52 1.28,1.45 -0.29,5.3 1.44,1.22 1.58,3.1 -0.51,-0.34 -0.8,0.95 0.91,0.56 0.86,-0.63 -0.24,1.11 0.51,0.14 0.55,-0.31 -0.44,-1.76 0.49,0.03 4.3,5.37 -0.66,4.47 -1.07,0.98 0.04,2.85 -1.6,-0.55 0.34,-2.86 -1.02,-0.44 -0.92,0.38 -0.75,1.72 0.87,1.09 -0.38,2.07 0.78,0.66 0.65,-0.45 0.06,0.72 -1.32,-0.13 -0.11,1.44 -2.41,-1.92 0,0 -0.6,-2.18 -1.99,-0.51 -0.64,-0.95 -0.33,-2.89 0.63,-1.24 -0.83,-1.08 -1.08,0.01 -1.46,1.29 -2.15,-0.17 -0.81,-1.05 -1.48,0.97 -2.29,-3.08 -6.7,-1.07 -2.2,0.78 -6.27,-0.08 -2.92,1.36 -0.74,2.22 -3.19,0.9 -2.01,1.9 -1.24,0.12 -0.71,-0.24 -0.43,-1.62 -2.1,-1.41 -5.7,0.38 -0.16,-1.49 0,0 -0.23,-1.03 -7.98,-4.28 0,-2.46 -1.42,0.85 -3.13,-1.16 0.59,-1.62 -0.41,-1.01 1.27,-1.02 -3,-1.12 -0.93,1.68 -1.36,-0.73 -0.24,1.27 -1.2,-0.22 -2.32,-1.95 0.96,-1.88 -0.87,-0.55 -1.61,0.32 0.38,-1.71 -0.79,-1.22 -2.87,-1.3 0.1,-1.3 -1.82,-0.48 -0.11,-0.68 -2.64,-0.59 -1.12,-2.35 -1.96,-1.92 -2.41,2.01 -0.51,-0.99 -1.49,-0.38 0.68,-1.91 -0.99,-1.49 1.3,-0.97 -0.96,-0.75 0.96,-2.57 -2.46,-1.13 -0.7,0.81 -0.83,-0.18 0.41,-1.98 -1.13,-11.75 11.09,-16.500005 0,0 2.68,1.66 -1.28,1.1 0.77,1.52 -2.18,4.030005 2.18,0.01 2.05,1.02 -0.65,1.13 1.49,0.93 1.49,-1.69 0.49,1.05 1.85,-2.66 0.44,1.17 1.64,-0.88 1.93,1.84 1.6,0.21 2.5,-3.37 -0.13,-3.600005 1.55,0.15 -0.6,-2.37 2.35,-2.83 0.87,-4.9 2.42,0.18 -0.02,-1.36 0.07,0.78 2.48,1.34 -0.35,-0.98 0.68,-1.54 1.29,-0.16 -0.37,-2.84 3.62,0.23 2.74,-2.26 2.15,-0.29 1.89,0.6 0.54,2.81 4.21,0.3 0.91,-1.87 -1.14,-2.02 0.73,-0.8 -0.73,-0.68 2.06,-0.6 -0.93,-1.54 0.01,-2.02 2.74,-0.87 0.67,0.77 0.74,-0.77 2.24,0.24 4.18,-1.46 1.71,-3.95 1.1,0.44 0.6,-1.6 -2.42,-2.22 0.79,-1.97 -1.21,-0.58 -0.64,0.41 -0.44,-1.94 -2.16,0.5 -0.79,-0.7 0.68,-1.89 -0.58,-1.41 -2.92,-2.43 2.36,-1.44 0.81,0.74 0.27,-3.66 2.3,-2.71 -0.59,-1.39 -3.08,-0.42 0.12,-1.65 4.87,-2.46 1.57,0.33 1.17,-1.18 1.16,-0.07 0.58,0.77 2.47,-3.92 -0.17,-1.48 1.52,-2.69 -0.31,-2.33 3.94,3.08 0.83,-0.29 1.55,0.98 0.11,2.26 3.34,-2.65 1.21,0.76 2.98,-0.94 0.75,0.89 1.26,-0.06 0.51,-0.46 -0.38,-1.32 0.87,0.2 1.67,-1.88 2.47,-0.92 0,0 1.41,-0.09 z" title="Veneto" id="VE" style="fill:#f5f5f5;"/>
                            </svg>
                        </div>
                    </div>
                </div>
            </div>
            `
            

            lastUpdatedData.forEach(el => {
                let id = document.querySelector(`#${el.code}`)
                id.style.fill = `rgba(100, 16, 16, ${el.nuovi_positivi/100})`
            })
            
        })
        
        
        
        
        
        
        window.addEventListener('click', function(e){
            if(e.target == modal){
                modal.classList.remove('active')
            }
            
        })
        
    })
    
    
    
</script>
</body>
</html>